!******************************************************************************!
!                                                                              !
!    ctparameter112.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter112.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter112
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter112()
  dZnu_tauL_QED2 = (-2d0*Ten162*coupl(nGC_41)**2d0 + Ten362*(2d0*coupl(nGC_23  &
                   )**2d0 + coupl(nGC_81)**2d0) + Ten363*(2d0*coupl(nGC_23)**  &
                   2d0 + coupl(nGC_81)**2d0) - coupl(nGC_23)**2d0 - coupl(     &
                   nGC_41)**2d0)/(16d0*pi**2d0)
  dZnu_tauL_QED2 = cone*real(dZnu_tauL_QED2,kind=dp)
end subroutine set_ctparameter112
end module ctparameter112
