!******************************************************************************!
!                                                                              !
!    ctparameter94.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter94.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter94
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter94()
  dMZ2_QED2 = (2d0*Nc*Ten396*(-6d0*cMU**2d0*coupl(nGC_35)*coupl(nGC_39) - cMZ**&
              2d0*coupl(nGC_35)**2d0 - cMZ**2d0*coupl(nGC_39)**2d0 + coupl(    &
              nGC_35)**2d0*rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc&
              *Ten397*(-6d0*cMC**2d0*coupl(nGC_35)*coupl(nGC_39) - cMZ**2d0*   &
              coupl(nGC_35)**2d0 - cMZ**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35  &
              )**2d0*rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten398*(-6d0*cMT**2d0*coupl(nGC_35)*coupl(nGC_39) - cMZ**2d0*    &
              coupl(nGC_35)**2d0 - cMZ**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35  &
              )**2d0*rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten399*(-6d0*cMD**2d0*coupl(nGC_34)*coupl(nGC_38) - cMZ**2d0*    &
              coupl(nGC_34)**2d0 - cMZ**2d0*coupl(nGC_38)**2d0 + coupl(nGC_34  &
              )**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten400*(-6d0*cMS**2d0*coupl(nGC_34)*coupl(nGC_38) - cMZ**2d0*    &
              coupl(nGC_34)**2d0 - cMZ**2d0*coupl(nGC_38)**2d0 + coupl(nGC_34  &
              )**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten401*(-6d0*cMB**2d0*coupl(nGC_34)*coupl(nGC_38) - cMZ**2d0*    &
              coupl(nGC_34)**2d0 - cMZ**2d0*coupl(nGC_38)**2d0 + coupl(nGC_34  &
              )**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten414*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 2d0* &
              Nc*Ten415*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) +   &
              2d0*Nc*Ten416*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0  &
              ) + 4d0*Nc*Ten417*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 4d0&
              *Nc*Ten418*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 4d0*Nc*   &
              Ten419*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 2d0*Nc*Ten420*&
              rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 2d0*Nc*     &
              Ten421*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 2d0* &
              Nc*Ten422*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) +   &
              2d0*Nc*Ten423*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0  &
              ) + 2d0*Nc*Ten424*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)** &
              2d0) + 2d0*Nc*Ten425*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38 &
              )**2d0) + 4d0*Nc*Ten426*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0 &
              ) + 4d0*Nc*Ten427*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0) + 4d0&
              *Nc*Ten428*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0) + 2d0*Nc*   &
              Ten429*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0) + 2d0* &
              Nc*Ten430*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0) +   &
              2d0*Nc*Ten431*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0  &
              ) + 2d0*Nc*Ten441*(cMU**2d0*cMZ**2d0*coupl(nGC_35)**2d0 - 6d0*cMU&
              **2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_39) + cMU**2d0*cMZ**2d0*  &
              coupl(nGC_39)**2d0 - cMU**2d0*coupl(nGC_35)**2d0*rMZ**2d0 + 6d0* &
              cMU**2d0*coupl(nGC_35)*coupl(nGC_39)*rMZ**2d0 - cMU**2d0*coupl(  &
              nGC_39)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0 -   &
              cMZ**2d0*coupl(nGC_39)**2d0*rMZ**2d0 + coupl(nGC_35)**2d0*rMZ**  &
              4d0 + coupl(nGC_39)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten442*(cMC**2d0*&
              cMZ**2d0*coupl(nGC_35)**2d0 - 6d0*cMC**2d0*cMZ**2d0*coupl(nGC_35 &
              )*coupl(nGC_39) + cMC**2d0*cMZ**2d0*coupl(nGC_39)**2d0 - cMC**2d0&
              *coupl(nGC_35)**2d0*rMZ**2d0 + 6d0*cMC**2d0*coupl(nGC_35)*coupl( &
              nGC_39)*rMZ**2d0 - cMC**2d0*coupl(nGC_39)**2d0*rMZ**2d0 - cMZ**  &
              2d0*coupl(nGC_35)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_39)**2d0*rMZ&
              **2d0 + coupl(nGC_35)**2d0*rMZ**4d0 + coupl(nGC_39)**2d0*rMZ**4d0&
              )/3d0 + 2d0*Nc*Ten443*(cMT**2d0*cMZ**2d0*coupl(nGC_35)**2d0 - 6d0&
              *cMT**2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_39) + cMT**2d0*cMZ**  &
              2d0*coupl(nGC_39)**2d0 - cMT**2d0*coupl(nGC_35)**2d0*rMZ**2d0 +  &
              6d0*cMT**2d0*coupl(nGC_35)*coupl(nGC_39)*rMZ**2d0 - cMT**2d0*    &
              coupl(nGC_39)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_35)**2d0*rMZ**  &
              2d0 - cMZ**2d0*coupl(nGC_39)**2d0*rMZ**2d0 + coupl(nGC_35)**2d0* &
              rMZ**4d0 + coupl(nGC_39)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten444*(cMD &
              **2d0*cMZ**2d0*coupl(nGC_34)**2d0 - 6d0*cMD**2d0*cMZ**2d0*coupl( &
              nGC_34)*coupl(nGC_38) + cMD**2d0*cMZ**2d0*coupl(nGC_38)**2d0 -   &
              cMD**2d0*coupl(nGC_34)**2d0*rMZ**2d0 + 6d0*cMD**2d0*coupl(nGC_34 &
              )*coupl(nGC_38)*rMZ**2d0 - cMD**2d0*coupl(nGC_38)**2d0*rMZ**2d0  &
               - cMZ**2d0*coupl(nGC_34)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_38  &
              )**2d0*rMZ**2d0 + coupl(nGC_34)**2d0*rMZ**4d0 + coupl(nGC_38)**  &
              2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten445*(cMS**2d0*cMZ**2d0*coupl(nGC_34&
              )**2d0 - 6d0*cMS**2d0*cMZ**2d0*coupl(nGC_34)*coupl(nGC_38) + cMS &
              **2d0*cMZ**2d0*coupl(nGC_38)**2d0 - cMS**2d0*coupl(nGC_34)**2d0* &
              rMZ**2d0 + 6d0*cMS**2d0*coupl(nGC_34)*coupl(nGC_38)*rMZ**2d0 -   &
              cMS**2d0*coupl(nGC_38)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_34)**  &
              2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_38)**2d0*rMZ**2d0 + coupl(     &
              nGC_34)**2d0*rMZ**4d0 + coupl(nGC_38)**2d0*rMZ**4d0)/3d0 + 2d0*Nc&
              *Ten446*(cMB**2d0*cMZ**2d0*coupl(nGC_34)**2d0 - 6d0*cMB**2d0*cMZ &
              **2d0*coupl(nGC_34)*coupl(nGC_38) + cMB**2d0*cMZ**2d0*coupl(     &
              nGC_38)**2d0 - cMB**2d0*coupl(nGC_34)**2d0*rMZ**2d0 + 6d0*cMB**  &
              2d0*coupl(nGC_34)*coupl(nGC_38)*rMZ**2d0 - cMB**2d0*coupl(nGC_38 &
              )**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_34)**2d0*rMZ**2d0 - cMZ**2d0&
              *coupl(nGC_38)**2d0*rMZ**2d0 + coupl(nGC_34)**2d0*rMZ**4d0 +     &
              coupl(nGC_38)**2d0*rMZ**4d0)/3d0 - 2d0*Nc*cMB**2d0*coupl(nGC_34  &
              )**2d0 - 2d0*Nc*cMB**2d0*coupl(nGC_38)**2d0 - 2d0*Nc*cMC**2d0*   &
              coupl(nGC_35)**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_39)**2d0 - 2d0*Nc*&
              cMD**2d0*coupl(nGC_34)**2d0 - 2d0*Nc*cMD**2d0*coupl(nGC_38)**2d0 &
               - 2d0*Nc*cMS**2d0*coupl(nGC_34)**2d0 - 2d0*Nc*cMS**2d0*coupl(   &
              nGC_38)**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_35)**2d0 - 2d0*Nc*cMT** &
              2d0*coupl(nGC_39)**2d0 - 2d0*Nc*cMU**2d0*coupl(nGC_35)**2d0 - 2d0&
              *Nc*cMU**2d0*coupl(nGC_39)**2d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_34)**&
              2d0/3d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_35)**2d0/3d0 + 2d0*Nc*cMZ**  &
              2d0*coupl(nGC_38)**2d0/3d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_39)**2d0/ &
              3d0 + Nc*coupl(nGC_34)**2d0*rMZ**2d0/3d0 + Nc*coupl(nGC_35)**2d0*&
              rMZ**2d0/3d0 + Nc*coupl(nGC_38)**2d0*rMZ**2d0/3d0 + Nc*coupl(    &
              nGC_39)**2d0*rMZ**2d0/3d0 + Ten0*(2d0*cMH**2d0*cMZ**2d0*coupl(   &
              nGC_37)**2d0 - 2d0*cMH**2d0*coupl(nGC_37)**2d0*rMZ**2d0 - 2d0*cMZ&
              **4d0*coupl(nGC_37)**2d0 + 2d0*cMZ**2d0*coupl(nGC_37)**2d0*rMZ** &
              2d0 - 3d0*cima*coupl(nGC_46)*rMZ**4d0)/(6d0*rMZ**4d0) + Ten1*(-  &
              2d0*cMH**2d0*cMZ**2d0*coupl(nGC_37)**2d0 + 2d0*cMH**2d0*coupl(   &
              nGC_37)**2d0*rMZ**2d0 + 2d0*cMZ**4d0*coupl(nGC_37)**2d0 - 2d0*cMZ&
              **2d0*coupl(nGC_37)**2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_46)*rMZ** &
              4d0)/(6d0*rMZ**4d0) - cima*Ten2*(6d0*coupl(nGC_19) + coupl(nGC_45&
              )) + Ten391*(-cMH**4d0*cMZ**2d0*coupl(nGC_37)**2d0 + cMH**4d0*   &
              coupl(nGC_37)**2d0*rMZ**2d0 + 2d0*cMH**2d0*cMZ**4d0*coupl(nGC_37 &
              )**2d0 - 2d0*cMH**2d0*cMZ**2d0*coupl(nGC_37)**2d0*rMZ**2d0 - cMZ &
              **6d0*coupl(nGC_37)**2d0 + cMZ**4d0*coupl(nGC_37)**2d0*rMZ**2d0  &
               + cMZ**2d0*coupl(nGC_37)**2d0*rMZ**4d0 - coupl(nGC_37)**2d0*rMZ &
              **6d0 - 3d0*coupl(nGC_52)**2d0*rMZ**4d0)/(3d0*rMZ**4d0) + Ten392 &
              *(cMZ**2d0*coupl(nGC_24)**2d0 + 39d0*cMZ**2d0*coupl(nGC_25)**2d0 &
               - 4d0*cMZ**2d0*coupl(nGC_40)**2d0 - coupl(nGC_24)**2d0*rMZ**2d0 &
               + 21d0*coupl(nGC_25)**2d0*rMZ**2d0 + 4d0*coupl(nGC_40)**2d0*rMZ &
              **2d0 - 24d0*coupl(nGC_47)**2d0)/12d0 + 2d0*Ten393*(-6d0*cME**2d0&
              *coupl(nGC_36)*coupl(nGC_40) - cMZ**2d0*coupl(nGC_36)**2d0 - cMZ &
              **2d0*coupl(nGC_40)**2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + coupl(  &
              nGC_40)**2d0*rMZ**2d0)/3d0 + 2d0*Ten394*(-6d0*cMM**2d0*coupl(    &
              nGC_36)*coupl(nGC_40) - cMZ**2d0*coupl(nGC_36)**2d0 - cMZ**2d0*  &
              coupl(nGC_40)**2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + coupl(nGC_40  &
              )**2d0*rMZ**2d0)/3d0 + 2d0*Ten395*(-6d0*cMTA**2d0*coupl(nGC_36)* &
              coupl(nGC_40) - cMZ**2d0*coupl(nGC_36)**2d0 - cMZ**2d0*coupl(    &
              nGC_40)**2d0 + coupl(nGC_36)**2d0*rMZ**2d0 + coupl(nGC_40)**2d0* &
              rMZ**2d0)/3d0 + 2d0*Ten402*coupl(nGC_25)**2d0*rMZ**2d0 + Ten403  &
              *(-coupl(nGC_24)**2d0 + 17d0*coupl(nGC_25)**2d0 + 4d0*coupl(     &
              nGC_40)**2d0) + 2d0*Ten404*coupl(nGC_25)**2d0*rMZ**2d0 + 2d0*    &
              Ten405*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0* &
              Ten406*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0* &
              Ten407*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 4d0* &
              Ten408*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 4d0*Ten409*(  &
              coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 4d0*Ten410*(coupl(    &
              nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0*Ten411*rMZ**2d0*(coupl( &
              nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0*Ten412*rMZ**2d0*(coupl( &
              nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0*Ten413*rMZ**2d0*(coupl( &
              nGC_36)**2d0 + coupl(nGC_40)**2d0) + 6d0*Ten432*coupl(nGC_41)**  &
              2d0*rMZ**2d0 - 4d0*Ten433*coupl(nGC_37)**2d0 + 12d0*Ten434*coupl(&
              nGC_41)**2d0 + 6d0*Ten435*coupl(nGC_41)**2d0*rMZ**2d0 + 2d0*     &
              Ten436*coupl(nGC_41)**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten437*(-4d0* &
              cMW**2d0*cMZ**2d0*coupl(nGC_24)**2d0 + 60d0*cMW**2d0*cMZ**2d0*   &
              coupl(nGC_25)**2d0 + 16d0*cMW**2d0*cMZ**2d0*coupl(nGC_40)**2d0 + &
              4d0*cMW**2d0*coupl(nGC_24)**2d0*rMZ**2d0 - 60d0*cMW**2d0*coupl(  &
              nGC_25)**2d0*rMZ**2d0 - 16d0*cMW**2d0*coupl(nGC_40)**2d0*rMZ**2d0&
               + cMZ**2d0*coupl(nGC_24)**2d0*rMZ**2d0 + 39d0*cMZ**2d0*coupl(   &
              nGC_25)**2d0*rMZ**2d0 - 4d0*cMZ**2d0*coupl(nGC_40)**2d0*rMZ**2d0 &
               - 24d0*cMZ**2d0*coupl(nGC_47)**2d0 - coupl(nGC_24)**2d0*rMZ**4d0&
               - 39d0*coupl(nGC_25)**2d0*rMZ**4d0 + 4d0*coupl(nGC_40)**2d0*rMZ &
              **4d0 + 24d0*coupl(nGC_47)**2d0*rMZ**2d0)/12d0 + 2d0*Ten438*(cME &
              **2d0*cMZ**2d0*coupl(nGC_36)**2d0 - 6d0*cME**2d0*cMZ**2d0*coupl( &
              nGC_36)*coupl(nGC_40) + cME**2d0*cMZ**2d0*coupl(nGC_40)**2d0 -   &
              cME**2d0*coupl(nGC_36)**2d0*rMZ**2d0 + 6d0*cME**2d0*coupl(nGC_36 &
              )*coupl(nGC_40)*rMZ**2d0 - cME**2d0*coupl(nGC_40)**2d0*rMZ**2d0  &
               - cMZ**2d0*coupl(nGC_36)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_40  &
              )**2d0*rMZ**2d0 + coupl(nGC_36)**2d0*rMZ**4d0 + coupl(nGC_40)**  &
              2d0*rMZ**4d0)/3d0 + 2d0*Ten439*(cMM**2d0*cMZ**2d0*coupl(nGC_36)**&
              2d0 - 6d0*cMM**2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_40) + cMM**  &
              2d0*cMZ**2d0*coupl(nGC_40)**2d0 - cMM**2d0*coupl(nGC_36)**2d0*rMZ&
              **2d0 + 6d0*cMM**2d0*coupl(nGC_36)*coupl(nGC_40)*rMZ**2d0 - cMM**&
              2d0*coupl(nGC_40)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_36)**2d0*rMZ&
              **2d0 - cMZ**2d0*coupl(nGC_40)**2d0*rMZ**2d0 + coupl(nGC_36)**2d0&
              *rMZ**4d0 + coupl(nGC_40)**2d0*rMZ**4d0)/3d0 + 2d0*Ten440*(cMTA**&
              2d0*cMZ**2d0*coupl(nGC_36)**2d0 - 6d0*cMTA**2d0*cMZ**2d0*coupl(  &
              nGC_36)*coupl(nGC_40) + cMTA**2d0*cMZ**2d0*coupl(nGC_40)**2d0 -  &
              cMTA**2d0*coupl(nGC_36)**2d0*rMZ**2d0 + 6d0*cMTA**2d0*coupl(     &
              nGC_36)*coupl(nGC_40)*rMZ**2d0 - cMTA**2d0*coupl(nGC_40)**2d0*rMZ&
              **2d0 - cMZ**2d0*coupl(nGC_36)**2d0*rMZ**2d0 - cMZ**2d0*coupl(   &
              nGC_40)**2d0*rMZ**2d0 + coupl(nGC_36)**2d0*rMZ**4d0 + coupl(     &
              nGC_40)**2d0*rMZ**4d0)/3d0 + 2d0*Ten447*coupl(nGC_41)**2d0*rMZ** &
              2d0*(-cMZ**2d0 + rMZ**2d0) + Ten448*(cMH**4d0*cMZ**2d0*coupl(    &
              nGC_37)**2d0 - cMH**4d0*coupl(nGC_37)**2d0*rMZ**2d0 - 2d0*cMH**  &
              2d0*cMZ**4d0*coupl(nGC_37)**2d0 + 2d0*cMH**2d0*coupl(nGC_37)**2d0&
              *rMZ**4d0 + cMZ**6d0*coupl(nGC_37)**2d0 - 3d0*cMZ**4d0*coupl(    &
              nGC_37)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(nGC_37)**2d0*rMZ**4d0 &
               - 3d0*cMZ**2d0*coupl(nGC_52)**2d0*rMZ**2d0 - coupl(nGC_37)**2d0*&
              rMZ**6d0 + 3d0*coupl(nGC_52)**2d0*rMZ**4d0)/(3d0*rMZ**2d0) - 2d0*&
              cME**2d0*coupl(nGC_36)**2d0 - 2d0*cME**2d0*coupl(nGC_40)**2d0 -  &
              2d0*cMM**2d0*coupl(nGC_36)**2d0 - 2d0*cMM**2d0*coupl(nGC_40)**2d0&
               - 2d0*cMTA**2d0*coupl(nGC_36)**2d0 - 2d0*cMTA**2d0*coupl(nGC_40 &
              )**2d0 + 4d0*cima*cMW**2d0*coupl(nGC_19) - 6d0*cMW**2d0*coupl(   &
              nGC_25)**2d0 + cMZ**2d0*coupl(nGC_24)**2d0/18d0 + cMZ**2d0*coupl(&
              nGC_25)**2d0/6d0 + 2d0*cMZ**2d0*coupl(nGC_36)**2d0/3d0 + 2d0*cMZ &
              **2d0*coupl(nGC_37)**2d0/9d0 + 4d0*cMZ**2d0*coupl(nGC_40)**2d0/  &
              9d0 + 2d0*cMZ**2d0*coupl(nGC_41)**2d0/3d0 - coupl(nGC_24)**2d0*  &
              rMZ**2d0/18d0 + 5d0*coupl(nGC_25)**2d0*rMZ**2d0/6d0 + coupl(     &
              nGC_36)**2d0*rMZ**2d0/3d0 - 2d0*coupl(nGC_37)**2d0*rMZ**2d0/9d0  &
               + 5d0*coupl(nGC_40)**2d0*rMZ**2d0/9d0 + coupl(nGC_41)**2d0*rMZ**&
              2d0/3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter94
end module ctparameter94
