!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl2()
      allocate(vertices(800)%branch(0:0))
      call av(800, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_23/))

      allocate(vertices(801)%branch(0:0))
      call av(801, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(802)%branch(0:0))
      call av(802, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_40/))

      allocate(vertices(803)%branch(0:0))
      call av(803, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(804)%branch(0:0))
      call av(804, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_88, nGC_86/))

      allocate(vertices(805)%branch(0:0))
      call av(805, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_63, nGC_63/))

      allocate(vertices(806)%branch(0:0))
      call av(806, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_20/))

      allocate(vertices(807)%branch(0:0))
      call av(807, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(808)%branch(0:0))
      call av(808, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_162/))

      allocate(vertices(809)%branch(0:0))
      call av(809, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(810)%branch(0:0))
      call av(810, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_16/))

      allocate(vertices(811)%branch(0:0))
      call av(811, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(812)%branch(0:0))
      call av(812, 0, 31, 1, 0, VFFa1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(813)%branch(0:0))
      call av(813, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(814)%branch(0:0))
      call av(814, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(815)%branch(0:0))
      call av(815, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(816)%branch(0:0))
      call av(816, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(817)%branch(0:0))
      call av(817, 0, 31, 1, 0, VFFa1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(818)%branch(0:0))
      call av(818, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(819)%branch(0:0))
      call av(819, 0, 8, 1, 0, FSFa0, (/0, 1/), (/nGC_65/))

      allocate(vertices(820)%branch(0:0))
      call av(820, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(821)%branch(0:0))
      call av(821, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(822)%branch(0:0))
      call av(822, 0, 31, 1, 0, SFFa0, (/0, 1/), (/nGC_80, nGC_78/))

      allocate(vertices(823)%branch(0:0))
      call av(823, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_48/))

      allocate(vertices(824)%branch(0:0))
      call av(824, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(825)%branch(0:0))
      call av(825, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_52/))

      allocate(vertices(826)%branch(0:0))
      call av(826, 0, 31, 1, 0, VFFa1, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(827)%branch(0:0))
      call av(827, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_46/))

      allocate(vertices(828)%branch(0:0))
      call av(828, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_160/))

      allocate(vertices(829)%branch(0:0))
      call av(829, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(830)%branch(0:0))
      call av(830, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(831)%branch(0:0))
      call av(831, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_31/))

      allocate(vertices(832)%branch(0:0))
      call av(832, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_4/))

      allocate(vertices(833)%branch(0:0))
      call av(833, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(834)%branch(0:0))
      call av(834, 0, 27, 1, 0, FaFV0, (/0, 1/), (/nGC_23/))

      allocate(vertices(835)%branch(0:0))
      call av(835, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(836)%branch(0:0))
      call av(836, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_158/))

      allocate(vertices(837)%branch(0:0))
      call av(837, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(838)%branch(0:0))
      call av(838, 0, 29, 1, 0, FSFa1, (/0, 1/), (/nGC_79, nGC_79/))

      allocate(vertices(839)%branch(0:0))
      call av(839, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(840)%branch(0:0))
      call av(840, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_174/))

      allocate(vertices(841)%branch(0:0))
      call av(841, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(842)%branch(0:0))
      call av(842, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_158/))

      allocate(vertices(843)%branch(0:0))
      call av(843, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(844)%branch(0:0))
      call av(844, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(845)%branch(0:0))
      call av(845, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_50/))

      allocate(vertices(846)%branch(0:0))
      call av(846, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(847)%branch(0:0))
      call av(847, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_42/))

      allocate(vertices(848)%branch(0:0))
      call av(848, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_33/))

      allocate(vertices(849)%branch(0:0))
      call av(849, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_16/))

      allocate(vertices(850)%branch(0:0))
      call av(850, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_65/))

      allocate(vertices(851)%branch(0:0))
      call av(851, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(852)%branch(0:0))
      call av(852, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_158/))

      allocate(vertices(853)%branch(0:0))
      call av(853, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_71, nGC_71/))

      allocate(vertices(854)%branch(0:0))
      call av(854, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(855)%branch(0:0))
      call av(855, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_3/))

      allocate(vertices(856)%branch(0:0))
      call av(856, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(857)%branch(0:0))
      call av(857, 0, 8, 1, 0, FaVF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(858)%branch(0:0))
      call av(858, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_47/))

      allocate(vertices(859)%branch(0:0))
      call av(859, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(860)%branch(0:0))
      call av(860, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_22/))

      allocate(vertices(861)%branch(0:0))
      call av(861, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_30/))

      allocate(vertices(862)%branch(0:0))
      call av(862, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_162/))

      allocate(vertices(863)%branch(0:1))
      call av(863, 0, 11, 6, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      call av(863, 1, 12, 7, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(864)%branch(0:0))
      call av(864, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_162/))

      allocate(vertices(865)%branch(0:0))
      call av(865, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(866)%branch(0:0))
      call av(866, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(867)%branch(0:0))
      call av(867, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(868)%branch(0:0))
      call av(868, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_23/))

      allocate(vertices(869)%branch(0:0))
      call av(869, 0, 31, 1, 0, SFFa0, (/0, 1/), (/nGC_59, nGC_59/))

      allocate(vertices(870)%branch(0:0))
      call av(870, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(871)%branch(0:0))
      call av(871, 0, 28, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(872)%branch(0:0))
      call av(872, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(873)%branch(0:0))
      call av(873, 0, 29, 1, 0, FVFa0, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(874)%branch(0:0))
      call av(874, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_70, nGC_72/))

      allocate(vertices(875)%branch(0:0))
      call av(875, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_168, nGC_29, nGC_168/))

      allocate(vertices(876)%branch(0:0))
      call av(876, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_79, nGC_79/))

      allocate(vertices(877)%branch(0:0))
      call av(877, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_158/))

      allocate(vertices(878)%branch(0:0))
      call av(878, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_164/))

      allocate(vertices(879)%branch(0:0))
      call av(879, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(880)%branch(0:1))
      call av(880, 0, 17, 6, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(880, 1, 18, 7, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(881)%branch(0:0))
      call av(881, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(882)%branch(0:0))
      call av(882, 0, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_81/))

      allocate(vertices(883)%branch(0:0))
      call av(883, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(884)%branch(0:0))
      call av(884, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(885)%branch(0:0))
      call av(885, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_61, nGC_85/))

      allocate(vertices(886)%branch(0:0))
      call av(886, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_52/))

      allocate(vertices(887)%branch(0:0))
      call av(887, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_6/))

      allocate(vertices(888)%branch(0:0))
      call av(888, 0, 29, 1, 0, FSFa1, (/0, 1/), (/nGC_63, nGC_63/))

      allocate(vertices(889)%branch(0:0))
      call av(889, 0, 30, 1, 0, VFaF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(890)%branch(0:0))
      call av(890, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(891)%branch(0:0))
      call av(891, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_168, nGC_168, nGC_29/))

      allocate(vertices(892)%branch(0:0))
      call av(892, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_66, nGC_68/))

      allocate(vertices(893)%branch(0:0))
      call av(893, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(894)%branch(0:0))
      call av(894, 0, 29, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(895)%branch(0:0))
      call av(895, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(896)%branch(0:0))
      call av(896, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_70, nGC_72/))

      allocate(vertices(897)%branch(0:0))
      call av(897, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_18, nGC_182, nGC_18/))

      allocate(vertices(898)%branch(0:0))
      call av(898, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(899)%branch(0:0))
      call av(899, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_41/))

      allocate(vertices(900)%branch(0:0))
      call av(900, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_23/))

      allocate(vertices(901)%branch(0:0))
      call av(901, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_37/))

      allocate(vertices(902)%branch(0:0))
      call av(902, 0, 30, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(903)%branch(0:0))
      call av(903, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(904)%branch(0:0))
      call av(904, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(905)%branch(0:0))
      call av(905, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(906)%branch(0:0))
      call av(906, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(907)%branch(0:0))
      call av(907, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(908)%branch(0:0))
      call av(908, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(909)%branch(0:0))
      call av(909, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_162/))

      allocate(vertices(910)%branch(0:0))
      call av(910, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_63, nGC_63/))

      allocate(vertices(911)%branch(0:0))
      call av(911, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_46/))

      allocate(vertices(912)%branch(0:0))
      call av(912, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_53, nGC_77/))

      allocate(vertices(913)%branch(0:0))
      call av(913, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(914)%branch(0:0))
      call av(914, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(915)%branch(0:0))
      call av(915, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_160/))

      allocate(vertices(916)%branch(0:0))
      call av(916, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(917)%branch(0:0))
      call av(917, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_16/))

      allocate(vertices(918)%branch(0:0))
      call av(918, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(919)%branch(0:0))
      call av(919, 0, 29, 1, 0, FVFa0, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(920)%branch(0:0))
      call av(920, 0, 31, 1, 0, VFFa1, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(921)%branch(0:0))
      call av(921, 0, 8, 1, 0, FFaS1, (/0, 1/), (/nGC_71, nGC_71/))

      allocate(vertices(922)%branch(0:0))
      call av(922, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(923)%branch(0:0))
      call av(923, 0, 8, 1, 0, SFaF1, (/0, 1/), (/nGC_82, nGC_84/))

      allocate(vertices(924)%branch(0:0))
      call av(924, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_158/))

      allocate(vertices(925)%branch(0:0))
      call av(925, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_81/))

      allocate(vertices(926)%branch(0:0))
      call av(926, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_51/))

      allocate(vertices(927)%branch(0:1))
      call av(927, 0, 25, 6, 0, VFFa1, (/1, 0/), (/nGC_11, nGC_11/))

      call av(927, 1, 26, 7, 0, VFFa1, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(928)%branch(0:0))
      call av(928, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(929)%branch(0:0))
      call av(929, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_33/))

      allocate(vertices(930)%branch(0:0))
      call av(930, 0, 28, 1, 0, FaVF0, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(931)%branch(0:0))
      call av(931, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(932)%branch(0:0))
      call av(932, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(933)%branch(0:0))
      call av(933, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(934)%branch(0:0))
      call av(934, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_182, nGC_18, nGC_18/))

      allocate(vertices(935)%branch(0:0))
      call av(935, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_53, nGC_77/))

      allocate(vertices(936)%branch(0:0))
      call av(936, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(937)%branch(0:0))
      call av(937, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_158/))

      allocate(vertices(938)%branch(0:0))
      call av(938, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(939)%branch(0:0))
      call av(939, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(940)%branch(0:0))
      call av(940, 0, 28, 1, 0, FaVF0, (/0, 1/), (/nGC_39, nGC_35/))

      allocate(vertices(941)%branch(0:0))
      call av(941, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_18, nGC_182, nGC_18/))

      allocate(vertices(942)%branch(0:0))
      call av(942, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_23/))

      allocate(vertices(943)%branch(0:0))
      call av(943, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(944)%branch(0:0))
      call av(944, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(945)%branch(0:0))
      call av(945, 0, 8, 1, 0, FFaS2, (/0, 1/), (/nGC_81/))

      allocate(vertices(946)%branch(0:0))
      call av(946, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(947)%branch(0:0))
      call av(947, 0, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_65/))

      allocate(vertices(948)%branch(0:0))
      call av(948, 0, 27, 1, 0, FaFS1, (/0, 1/), (/nGC_53, nGC_77/))

      allocate(vertices(949)%branch(0:0))
      call av(949, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_75, nGC_75/))

      allocate(vertices(950)%branch(0:0))
      call av(950, 0, 8, 1, 0, SFFa1, (/0, 1/), (/nGC_65/))

      allocate(vertices(951)%branch(0:0))
      call av(951, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_75, nGC_75/))

      allocate(vertices(952)%branch(0:0))
      call av(952, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_21/))

      allocate(vertices(953)%branch(0:0))
      call av(953, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(954)%branch(0:1))
      call av(954, 0, 21, 6, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(954, 1, 22, 7, 0, FVFa0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(955)%branch(0:0))
      call av(955, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_48/))

      allocate(vertices(956)%branch(0:0))
      call av(956, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_23/))

      allocate(vertices(957)%branch(0:0))
      call av(957, 0, 27, 1, 0, FaFS1, (/0, 1/), (/nGC_54, nGC_56/))

      allocate(vertices(958)%branch(0:0))
      call av(958, 0, 8, 1, 0, FFaV0, (/0, 1/), (/nGC_23/))

      allocate(vertices(959)%branch(0:0))
      call av(959, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_54, nGC_56/))

      allocate(vertices(960)%branch(0:0))
      call av(960, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(961)%branch(0:0))
      call av(961, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(962)%branch(0:0))
      call av(962, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_50/))

      allocate(vertices(963)%branch(0:0))
      call av(963, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_48/))

      allocate(vertices(964)%branch(0:0))
      call av(964, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_182, nGC_18, nGC_18/))

      allocate(vertices(965)%branch(0:0))
      call av(965, 0, 8, 1, 0, SFFa1, (/0, 1/), (/nGC_81/))

      allocate(vertices(966)%branch(0:0))
      call av(966, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(967)%branch(0:0))
      call av(967, 0, 31, 1, 0, VFFa1, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(968)%branch(0:0))
      call av(968, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_37/))

      allocate(vertices(969)%branch(0:0))
      call av(969, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_160/))

      allocate(vertices(970)%branch(0:0))
      call av(970, 0, 30, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(971)%branch(0:0))
      call av(971, 0, 8, 1, 0, SFaF2, (/0, 1/), (/nGC_81/))

      allocate(vertices(972)%branch(0:0))
      call av(972, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_50/))

      allocate(vertices(973)%branch(0:0))
      call av(973, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(974)%branch(0:0))
      call av(974, 0, 30, 1, 0, VFaF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(975)%branch(0:0))
      call av(975, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_158/))

      allocate(vertices(976)%branch(0:0))
      call av(976, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(977)%branch(0:0))
      call av(977, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(978)%branch(0:0))
      call av(978, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_160/))

      allocate(vertices(979)%branch(0:0))
      call av(979, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(980)%branch(0:0))
      call av(980, 0, 27, 1, 0, FaFS1, (/0, 1/), (/nGC_75, nGC_75/))

      allocate(vertices(981)%branch(0:0))
      call av(981, 0, 28, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(982)%branch(0:0))
      call av(982, 0, 29, 1, 0, FVFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(983)%branch(0:0))
      call av(983, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(984)%branch(0:0))
      call av(984, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_66, nGC_68/))

      allocate(vertices(985)%branch(0:0))
      call av(985, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_168, nGC_168, nGC_29/))

      allocate(vertices(986)%branch(0:0))
      call av(986, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_43/))

      allocate(vertices(987)%branch(0:0))
      call av(987, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(988)%branch(0:0))
      call av(988, 0, 27, 1, 0, FaFS1, (/0, 1/), (/nGC_79, nGC_79/))

      allocate(vertices(989)%branch(0:0))
      call av(989, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(990)%branch(0:0))
      call av(990, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_44/))

      allocate(vertices(991)%branch(0:0))
      call av(991, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_81/))

      allocate(vertices(992)%branch(0:0))
      call av(992, 0, 31, 1, 0, VFFa1, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(993)%branch(0:1))
      call av(993, 0, 36, 2, 0, UUaV0, (/1, 0/), (/nGC_178/))

      call av(993, 1, 37, 3, 0, UUaV0, (/1, 0/), (/nGC_178/))

      allocate(vertices(994)%branch(0:0))
      call av(994, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_51/))

      allocate(vertices(995)%branch(0:0))
      call av(995, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_8/))

      allocate(vertices(996)%branch(0:0))
      call av(996, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(997)%branch(0:0))
      call av(997, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_168, nGC_168, nGC_29/))

      allocate(vertices(998)%branch(0:0))
      call av(998, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_54, nGC_56/))

      allocate(vertices(999)%branch(0:0))
      call av(999, 0, 27, 1, 0, FaFV1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(1000)%branch(0:0))
      call av(1000, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1001)%branch(0:0))
      call av(1001, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1002)%branch(0:0))
      call av(1002, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_23/))

      allocate(vertices(1003)%branch(0:1))
      call av(1003, 0, 17, 6, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1003, 1, 18, 7, 0, FaVF0, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1004)%branch(0:0))
      call av(1004, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_162/))

      allocate(vertices(1005)%branch(0:0))
      call av(1005, 0, 30, 1, 0, SFaF1, (/0, 1/), (/nGC_61, nGC_85/))

      allocate(vertices(1006)%branch(0:0))
      call av(1006, 0, 30, 1, 0, SFaF1, (/0, 1/), (/nGC_87, nGC_87/))

      allocate(vertices(1007)%branch(0:0))
      call av(1007, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(1008)%branch(0:0))
      call av(1008, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_65/))

      allocate(vertices(1009)%branch(0:0))
      call av(1009, 0, 31, 1, 0, SFFa0, (/0, 1/), (/nGC_57, nGC_73/))

      allocate(vertices(1010)%branch(0:0))
      call av(1010, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(1011)%branch(0:0))
      call av(1011, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_162/))

      allocate(vertices(1012)%branch(0:0))
      call av(1012, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_38, nGC_34/))

      allocate(vertices(1013)%branch(0:0))
      call av(1013, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1014)%branch(0:0))
      call av(1014, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(1015)%branch(0:0))
      call av(1015, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(1016)%branch(0:0))
      call av(1016, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1017)%branch(0:0))
      call av(1017, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(1018)%branch(0:0))
      call av(1018, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_44/))

      allocate(vertices(1019)%branch(0:0))
      call av(1019, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_79, nGC_79/))

      allocate(vertices(1020)%branch(0:0))
      call av(1020, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_168, nGC_29, nGC_168/))

      allocate(vertices(1021)%branch(0:0))
      call av(1021, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_166/))

      allocate(vertices(1022)%branch(0:0))
      call av(1022, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1023)%branch(0:0))
      call av(1023, 0, 8, 1, 0, SFaF2, (/0, 1/), (/nGC_65/))

      allocate(vertices(1024)%branch(0:0))
      call av(1024, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_29, nGC_168, nGC_168/))

      allocate(vertices(1025)%branch(0:1))
      call av(1025, 0, 11, 6, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      call av(1025, 1, 12, 7, 0, FFaV1, (/1, 0/), (/nGC_11, nGC_11/))

      allocate(vertices(1026)%branch(0:0))
      call av(1026, 0, 28, 1, 0, FaVF1, (/0, 1/), (/nGC_23/))

      allocate(vertices(1027)%branch(0:0))
      call av(1027, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(1028)%branch(0:0))
      call av(1028, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1029)%branch(0:0))
      call av(1029, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_32/))

      allocate(vertices(1030)%branch(0:0))
      call av(1030, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_60, nGC_58/))

      allocate(vertices(1031)%branch(0:0))
      call av(1031, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_47/))

      allocate(vertices(1032)%branch(0:0))
      call av(1032, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_184/))

      allocate(vertices(1033)%branch(0:0))
      call av(1033, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_40, nGC_36/))

      allocate(vertices(1034)%branch(0:0))
      call av(1034, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_87, nGC_87/))

      allocate(vertices(1035)%branch(0:0))
      call av(1035, 0, 31, 1, 0, SFFa0, (/0, 1/), (/nGC_73, nGC_57/))

      allocate(vertices(1036)%branch(0:0))
      call av(1036, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(1037)%branch(0:0))
      call av(1037, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_46/))

      allocate(vertices(1038)%branch(0:0))
      call av(1038, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_9/))

      allocate(vertices(1039)%branch(0:0))
      call av(1039, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_162/))

      allocate(vertices(1040)%branch(0:0))
      call av(1040, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1041)%branch(0:0))
      call av(1041, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_17/))

      allocate(vertices(1042)%branch(0:0))
      call av(1042, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_45/))

      allocate(vertices(1043)%branch(0:0))
      call av(1043, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(1044)%branch(0:0))
      call av(1044, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_31/))

      allocate(vertices(1045)%branch(0:0))
      call av(1045, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(1046)%branch(0:0))
      call av(1046, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(1047)%branch(0:0))
      call av(1047, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_22/))

      allocate(vertices(1048)%branch(0:0))
      call av(1048, 0, 28, 1, 0, FaSF0, (/0, 1/), (/nGC_57, nGC_73/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_906/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_908, nGC_909, nGC_909 &
      , nGC_910/))

      allocate(vertices(3)%branchCT(0:1))
      call avCT(3, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_911/))

      call avCT(3, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_912/))

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_913/))

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_914/))

      allocate(vertices(47)%branchCT(0:1))
      call avCT(47, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_915, nGC_917/))

      call avCT(47, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_916, nGC_918/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 31, 1, 0, VFFa1, (/0, 3/), (/nGC_920, nGC_922/))

      call avCT(70, 1, 31, 1, 0, VFFa1, (/2, 1/), (/nGC_921, nGC_923/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_924, nGC_925/))

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_926/))

      allocate(vertices(12)%branchCT(0:1))
      call avCT(12, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_927, nGC_929/))

      call avCT(12, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_928, nGC_930/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_773/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_933/))

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_934, nGC_935, nGC_935/))

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_936/))

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(22)%branchCT(0:1))
      call avCT(22, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_938, nGC_940/))

      call avCT(22, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_939, nGC_941/))

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_943/))

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_944/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_945, nGC_946, nGC_945/))

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_947/))

      allocate(vertices(1052)%branchCT(0:1))
      call avCT(1052, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_948, nGC_950, nGC_950 &
      , nGC_952/))

      call avCT(1052, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_949, nGC_951, nGC_951 &
      , nGC_953/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_931/))

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_954/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_955/))

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(211)%branchCT(0:0))
      call avCT(211, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_956/))

      allocate(vertices(1053)%branchCT(0:1))
      call avCT(1053, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_957, nGC_959, nGC_959 &
      , nGC_961/))

      call avCT(1053, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_958, nGC_960, nGC_960 &
      , nGC_962/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_947/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_963/))

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_776/))

      allocate(vertices(1054)%branchCT(0:1))
      call avCT(1054, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_964, nGC_966, nGC_966 &
      , nGC_968/))

      call avCT(1054, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_965, nGC_967, nGC_967 &
      , nGC_969/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_970/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_971/))

      allocate(vertices(42)%branchCT(0:1))
      call avCT(42, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_972, nGC_974/))

      call avCT(42, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_973, nGC_975/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_976/))

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_977, nGC_978, nGC_979/))

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(46)%branchCT(0:1))
      call avCT(46, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_980, nGC_982/))

      call avCT(46, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_981, nGC_983/))

      allocate(vertices(957)%branchCT(0:1))
      call avCT(957, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_980, nGC_982/))

      call avCT(957, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_981, nGC_983/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_963/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_985/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_986, nGC_987, nGC_987/))

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_988, nGC_990/))

      call avCT(53, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_989, nGC_991/))

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_992/))

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_993, nGC_994/))

      allocate(vertices(630)%branchCT(0:1))
      call avCT(630, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_915, nGC_917/))

      call avCT(630, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_916, nGC_918/))

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_931/))

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_996/))

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_997/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_998/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_963/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_985/))

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_945, nGC_945, nGC_946/))

      allocate(vertices(68)%branchCT(0:1))
      call avCT(68, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_988, nGC_990/))

      call avCT(68, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_989, nGC_991/))

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(8)%branchCT(0:1))
      call avCT(8, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_999, nGC_999/))

      call avCT(8, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1000, nGC_1000/))

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_970/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1001, nGC_1002/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1003/))

      allocate(vertices(74)%branchCT(0:0))
      call avCT(74, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_906/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1004/))

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(77)%branchCT(0:0))
      call avCT(77, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(78)%branchCT(0:1))
      call avCT(78, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1005, nGC_1007/))

      call avCT(78, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1006, nGC_1008/))

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_776/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(81)%branchCT(0:1))
      call avCT(81, 0, 0, 2, 0, VVV0, (/3, 0/), (/nGC_1009/))

      call avCT(81, 1, 1, 3, 0, VVV0, (/3, 0/), (/nGC_1009/))

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1010/))

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_947/))

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_984/))

      allocate(vertices(87)%branchCT(0:1))
      call avCT(87, 0, 28, 1, 0, FaSF0, (/0, 3/), (/nGC_927, nGC_929/))

      call avCT(87, 1, 28, 1, 0, FaSF0, (/2, 1/), (/nGC_928, nGC_930/))

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_998/))

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_992/))

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_992/))

      allocate(vertices(94)%branchCT(0:1))
      call avCT(94, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_1012, nGC_1014/))

      call avCT(94, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_1013, nGC_1015/))

      allocate(vertices(95)%branchCT(0:5))
      call avCT(95, 0, 3, 4, 0, VVVV0, (/4, 0/), (/nGC_1016, nGC_1016, nGC_1017&
      /))

      call avCT(95, 1, 7, 5, 0, VVVV0, (/4, 0/), (/nGC_1018, nGC_1019, nGC_1018&
      /))

      call avCT(95, 2, 6, 5, 0, VVVV0, (/4, 0/), (/nGC_1019, nGC_1018, nGC_1018&
      /))

      call avCT(95, 3, 2, 4, 0, VVVV0, (/4, 0/), (/nGC_1016, nGC_1016, nGC_1017&
      /))

      call avCT(95, 4, 5, 5, 0, VVVV0, (/4, 0/), (/nGC_1018, nGC_1019, nGC_1018&
      /))

      call avCT(95, 5, 4, 5, 0, VVVV0, (/4, 0/), (/nGC_1019, nGC_1018, nGC_1018&
      /))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_931/))

      allocate(vertices(97)%branchCT(0:1))
      call avCT(97, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_1020/))

      call avCT(97, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_1021/))

      allocate(vertices(880)%branchCT(0:3))
      call avCT(880, 0, 17, 6, 0, FaVF0, (/3, 0/), (/nGC_1022, nGC_1024/))

      call avCT(880, 1, 17, 6, 0, FaVF0, (/1, 2/), (/nGC_1023, nGC_1025/))

      call avCT(880, 2, 18, 7, 0, FaVF0, (/3, 0/), (/nGC_1022, nGC_1024/))

      call avCT(880, 3, 18, 7, 0, FaVF0, (/1, 2/), (/nGC_1023, nGC_1025/))

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1001, nGC_1002/))

      allocate(vertices(100)%branchCT(0:1))
      call avCT(100, 0, 28, 1, 0, FaSF0, (/0, 3/), (/nGC_1026, nGC_1028/))

      call avCT(100, 1, 28, 1, 0, FaSF0, (/2, 1/), (/nGC_1027, nGC_1029/))

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1030/))

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_987, nGC_986, nGC_987/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1031, nGC_1032/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_779/))

      allocate(vertices(106)%branchCT(0:3))
      call avCT(106, 0, 19, 6, 0, FaFV1, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(106, 1, 19, 6, 0, FaFV1, (/3, 0/), (/nGC_1033, nGC_1035/))

      call avCT(106, 2, 20, 7, 0, FaFV1, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(106, 3, 20, 7, 0, FaFV1, (/3, 0/), (/nGC_1033, nGC_1035/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1037/))

      allocate(vertices(108)%branchCT(0:1))
      call avCT(108, 0, 28, 1, 0, FaSF0, (/0, 3/), (/nGC_1005, nGC_1007/))

      call avCT(108, 1, 28, 1, 0, FaSF0, (/2, 1/), (/nGC_1006, nGC_1008/))

      allocate(vertices(478)%branchCT(0:1))
      call avCT(478, 0, 40, 2, 0, VUUa0, (/3, 0/), (/nGC_1038/))

      call avCT(478, 1, 41, 3, 0, VUUa0, (/3, 0/), (/nGC_1038/))

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1039/))

      allocate(vertices(184)%branchCT(0:3))
      call avCT(184, 0, 23, 6, 0, VFaF0, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(184, 1, 23, 6, 0, VFaF0, (/1, 2/), (/nGC_1041, nGC_1043/))

      call avCT(184, 2, 24, 7, 0, VFaF0, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(184, 3, 24, 7, 0, VFaF0, (/1, 2/), (/nGC_1041, nGC_1043/))

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1044/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_996/))

      allocate(vertices(853)%branchCT(0:0))
      call avCT(853, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1045, nGC_1045/))

      allocate(vertices(112)%branchCT(0:1))
      call avCT(112, 0, 30, 1, 0, VFaF1, (/0, 3/), (/nGC_911/))

      call avCT(112, 1, 30, 1, 0, VFaF1, (/2, 1/), (/nGC_912/))

      allocate(vertices(113)%branchCT(0:1))
      call avCT(113, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_1046, nGC_1048/))

      call avCT(113, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_1047, nGC_1049/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1050/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1051/))

      allocate(vertices(116)%branchCT(0:1))
      call avCT(116, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_1052, nGC_1054/))

      call avCT(116, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_1053, nGC_1055/))

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(118)%branchCT(0:1))
      call avCT(118, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_988, nGC_990/))

      call avCT(118, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_989, nGC_991/))

      allocate(vertices(119)%branchCT(0:1))
      call avCT(119, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1056, nGC_1058/))

      call avCT(119, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1057, nGC_1059/))

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_970/))

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_985/))

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1030/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1050/))

      allocate(vertices(18)%branchCT(0:1))
      call avCT(18, 0, 31, 1, 0, VFFa0, (/0, 3/), (/nGC_1020/))

      call avCT(18, 1, 31, 1, 0, VFFa0, (/2, 1/), (/nGC_1021/))

      allocate(vertices(1023)%branchCT(0:0))
      call avCT(1023, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1037/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_774/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_934, nGC_935, nGC_935/))

      allocate(vertices(127)%branchCT(0:1))
      call avCT(127, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_920, nGC_922/))

      call avCT(127, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_921, nGC_923/))

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1060, nGC_1060/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1037/))

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_954/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_778/))

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_924, nGC_925/))

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1045, nGC_1045/))

      allocate(vertices(320)%branchCT(0:0))
      call avCT(320, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_936/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1061/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1062/))

      allocate(vertices(140)%branchCT(0:1))
      call avCT(140, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_1063, nGC_1065/))

      call avCT(140, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_1064, nGC_1066/))

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_942/))

      allocate(vertices(142)%branchCT(0:0))
      call avCT(142, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1067, nGC_1068/))

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_947/))

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(143, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1073/))

      allocate(vertices(145)%branchCT(0:1))
      call avCT(145, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1052, nGC_1054/))

      call avCT(145, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1053, nGC_1055/))

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_992/))

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1031, nGC_1032/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_936/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1073/))

      allocate(vertices(1063)%branchCT(0:1))
      call avCT(1063, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_1074, nGC_1076,       &
      nGC_1076, nGC_1078/))

      call avCT(1063, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_1075, nGC_1077,       &
      nGC_1077, nGC_1079/))

      allocate(vertices(152)%branchCT(0:1))
      call avCT(152, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_972, nGC_974/))

      call avCT(152, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_973, nGC_975/))

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1003/))

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1080/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1081/))

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(155, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_776/))

      allocate(vertices(157)%branchCT(0:0))
      call avCT(157, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_778/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1082, nGC_1083/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_970/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1084, nGC_1085/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_931/))

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_998/))

      allocate(vertices(164)%branchCT(0:1))
      call avCT(164, 0, 0, 2, 0, UaUV0, (/3, 0/), (/nGC_1038/))

      call avCT(164, 1, 1, 3, 0, UaUV0, (/3, 0/), (/nGC_1038/))

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_913/))

      allocate(vertices(165)%branchCT(0:1))
      call avCT(165, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1056, nGC_1058/))

      call avCT(165, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1057, nGC_1059/))

      allocate(vertices(166)%branchCT(0:3))
      call avCT(166, 0, 17, 6, 0, FaVF0, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(166, 1, 17, 6, 0, FaVF0, (/3, 0/), (/nGC_1033, nGC_1035/))

      call avCT(166, 2, 18, 7, 0, FaVF0, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(166, 3, 18, 7, 0, FaVF0, (/3, 0/), (/nGC_1033, nGC_1035/))

      allocate(vertices(167)%branchCT(0:1))
      call avCT(167, 0, 30, 1, 0, VFaF1, (/0, 3/), (/nGC_1020/))

      call avCT(167, 1, 30, 1, 0, VFaF1, (/2, 1/), (/nGC_1021/))

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 31, 1, 0, VFFa1, (/0, 3/), (/nGC_915, nGC_917/))

      call avCT(168, 1, 31, 1, 0, VFFa1, (/2, 1/), (/nGC_916, nGC_918/))

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1086/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(172)%branchCT(0:0))
      call avCT(172, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(173)%branchCT(0:1))
      call avCT(173, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_1087, nGC_1089/))

      call avCT(173, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_1088, nGC_1090/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1091/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_998/))

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1037/))

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_992/))

      allocate(vertices(177)%branchCT(0:1))
      call avCT(177, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1092, nGC_1094/))

      call avCT(177, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1093, nGC_1095/))

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1096/))

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1073/))

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_GG/))

      allocate(vertices(182)%branchCT(0:1))
      call avCT(182, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1097, nGC_1097/))

      call avCT(182, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1098, nGC_1098/))

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_976/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_936/))

      allocate(vertices(185)%branchCT(0:1))
      call avCT(185, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1026, nGC_1028/))

      call avCT(185, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1027, nGC_1029/))

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1044/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 28, 1, 0, FaSF0, (/0, 3/), (/nGC_1056, nGC_1058/))

      call avCT(187, 1, 28, 1, 0, FaSF0, (/2, 1/), (/nGC_1057, nGC_1059/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_998/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_1004/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1099/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1100/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(193)%branchCT(0:0))
      call avCT(193, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(194)%branchCT(0:1))
      call avCT(194, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_920, nGC_922/))

      call avCT(194, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_921, nGC_923/))

      allocate(vertices(195)%branchCT(0:1))
      call avCT(195, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_999, nGC_999/))

      call avCT(195, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1000, nGC_1000/))

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1101/))

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1084, nGC_1085/))

      allocate(vertices(198)%branchCT(0:3))
      call avCT(198, 0, 11, 6, 0, FFaV1, (/1, 2/), (/nGC_1103, nGC_1105/))

      call avCT(198, 1, 11, 6, 0, FFaV1, (/3, 0/), (/nGC_1102, nGC_1104/))

      call avCT(198, 2, 12, 7, 0, FFaV1, (/1, 2/), (/nGC_1103, nGC_1105/))

      call avCT(198, 3, 12, 7, 0, FFaV1, (/3, 0/), (/nGC_1102, nGC_1104/))

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_1089, nGC_1087/))

      call avCT(200, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1090, nGC_1088/))

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_914/))

      allocate(vertices(1070)%branchCT(0:1))
      call avCT(1070, 0, 16, 8, 0, VV1, (/2, 0/), (/nGC_1106, nGC_1107/))

      call avCT(1070, 1, 15, 1, 0, VV1, (/2, 0/), (/nGC_1106, nGC_1107/))

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_985/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_954/))

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1108, nGC_1108/))

      call avCT(205, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1109, nGC_1109/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_926/))

      allocate(vertices(208)%branchCT(0:0))
      call avCT(208, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_998/))

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_976/))

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1060, nGC_1060/))

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1110, nGC_1111/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_931/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1086/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1112/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_996/))

      allocate(vertices(216)%branchCT(0:0))
      call avCT(216, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_997/))

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_936/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_985/))

      allocate(vertices(219)%branchCT(0:3))
      call avCT(219, 0, 25, 6, 0, VFFa1, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(219, 1, 25, 6, 0, VFFa1, (/1, 2/), (/nGC_1041, nGC_1043/))

      call avCT(219, 2, 26, 7, 0, VFFa1, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(219, 3, 26, 7, 0, VFFa1, (/1, 2/), (/nGC_1041, nGC_1043/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_992/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_987, nGC_986, nGC_987/))

      allocate(vertices(909)%branchCT(0:0))
      call avCT(909, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_955/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_970/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1062/))

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_776/))

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1003/))

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_779/))

      allocate(vertices(227)%branchCT(0:1))
      call avCT(227, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1113/))

      call avCT(227, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1114/))

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(229)%branchCT(0:0))
      call avCT(229, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(230)%branchCT(0:1))
      call avCT(230, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_911/))

      call avCT(230, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_912/))

      allocate(vertices(232)%branchCT(0:0))
      call avCT(232, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_942/))

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_1010/))

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_1028, nGC_1026/))

      call avCT(234, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1029, nGC_1027/))

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1115/))

      allocate(vertices(235)%branchCT(0:1))
      call avCT(235, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_1012, nGC_1014/))

      call avCT(235, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_1013, nGC_1015/))

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_998/))

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_773/))

      allocate(vertices(1074)%branchCT(0:1))
      call avCT(1074, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1116, nGC_1118,       &
      nGC_1118, nGC_1120/))

      call avCT(1074, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1117, nGC_1119,       &
      nGC_1119, nGC_1121/))

      allocate(vertices(209)%branchCT(0:1))
      call avCT(209, 0, 31, 1, 0, VFFa0, (/0, 3/), (/nGC_1113/))

      call avCT(209, 1, 31, 1, 0, VFFa0, (/2, 1/), (/nGC_1114/))

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1122/))

      allocate(vertices(452)%branchCT(0:1))
      call avCT(452, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1020/))

      call avCT(452, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1021/))

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1084, nGC_1085/))

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_955/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_997/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1123/))

      allocate(vertices(210)%branchCT(0:1))
      call avCT(210, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1124, nGC_1124/))

      call avCT(210, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1125, nGC_1125/))

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_976/))

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1126, nGC_1126/))

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1127, nGC_1128,       &
      nGC_1128, nGC_1129/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1051/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_984/))

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1130, nGC_1131,        &
      nGC_1132/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_954/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1081/))

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1073/))

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1046, nGC_1048/))

      call avCT(255, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1047, nGC_1049/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1096/))

      allocate(vertices(257)%branchCT(0:3))
      call avCT(257, 0, 19, 6, 0, FaFV1, (/1, 2/), (/nGC_1103, nGC_1105/))

      call avCT(257, 1, 19, 6, 0, FaFV1, (/3, 0/), (/nGC_1102, nGC_1104/))

      call avCT(257, 2, 20, 7, 0, FaFV1, (/1, 2/), (/nGC_1103, nGC_1105/))

      call avCT(257, 3, 20, 7, 0, FaFV1, (/3, 0/), (/nGC_1102, nGC_1104/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_984/))

      allocate(vertices(259)%branchCT(0:0))
      call avCT(259, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1133/))

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_971/))

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1082, nGC_1083/))

      allocate(vertices(262)%branchCT(0:1))
      call avCT(262, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_1134, nGC_1136/))

      call avCT(262, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_1135, nGC_1137/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1138/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_946, nGC_945, nGC_945/))

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(265)%branchCT(0:0))
      call avCT(265, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1001, nGC_1002/))

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(267)%branchCT(0:3))
      call avCT(267, 0, 21, 6, 0, FVFa0, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(267, 1, 21, 6, 0, FVFa0, (/1, 2/), (/nGC_1041, nGC_1043/))

      call avCT(267, 2, 22, 7, 0, FVFa0, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(267, 3, 22, 7, 0, FVFa0, (/1, 2/), (/nGC_1041, nGC_1043/))

      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1037/))

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_980, nGC_982/))

      call avCT(269, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_981, nGC_983/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_986, nGC_987, nGC_987/))

      allocate(vertices(271)%branchCT(0:1))
      call avCT(271, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_972, nGC_974/))

      call avCT(271, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_973, nGC_975/))

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1139/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1051/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1140/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1133/))

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1091/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_936/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1099/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1086/))

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(677)%branchCT(0:0))
      call avCT(677, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(280)%branchCT(0:1))
      call avCT(280, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(280, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1026, nGC_1028/))

      call avCT(281, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1027, nGC_1029/))

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1126, nGC_1126/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1145, nGC_1146/))

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1147/))

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_1087, nGC_1089/))

      call avCT(284, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1088, nGC_1090/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_945, nGC_945, nGC_946/))

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_1005, nGC_1007/))

      call avCT(286, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1006, nGC_1008/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1045, nGC_1045/))

      allocate(vertices(288)%branchCT(0:1))
      call avCT(288, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1134, nGC_1136/))

      call avCT(288, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1135, nGC_1137/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_984/))

      allocate(vertices(292)%branchCT(0:1))
      call avCT(292, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1028, nGC_1026/))

      call avCT(292, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1029, nGC_1027/))

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1039/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1050/))

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_1063, nGC_1065/))

      call avCT(295, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_1064, nGC_1066/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_984/))

      allocate(vertices(297)%branchCT(0:1))
      call avCT(297, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_1124, nGC_1124/))

      call avCT(297, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1125, nGC_1125/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1126, nGC_1126/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_1010/))

      allocate(vertices(300)%branchCT(0:0))
      call avCT(300, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(301)%branchCT(0:1))
      call avCT(301, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_938, nGC_940/))

      call avCT(301, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_939, nGC_941/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_986, nGC_987, nGC_987/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1045, nGC_1045/))

      allocate(vertices(305)%branchCT(0:1))
      call avCT(305, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_1113/))

      call avCT(305, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_1114/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_935, nGC_934, nGC_935/))

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_926/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_934, nGC_935, nGC_935/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_776/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_942/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1148/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(313)%branchCT(0:1))
      call avCT(313, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_938, nGC_940/))

      call avCT(313, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_939, nGC_941/))

      allocate(vertices(1033)%branchCT(0:0))
      call avCT(1033, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_993, nGC_994/))

      allocate(vertices(1009)%branchCT(0:1))
      call avCT(1009, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1089, nGC_1087/))

      call avCT(1009, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1090, nGC_1088/))

      allocate(vertices(863)%branchCT(0:3))
      call avCT(863, 0, 11, 6, 0, FFaV1, (/3, 0/), (/nGC_1022, nGC_1024/))

      call avCT(863, 1, 11, 6, 0, FFaV1, (/1, 2/), (/nGC_1023, nGC_1025/))

      call avCT(863, 2, 12, 7, 0, FFaV1, (/3, 0/), (/nGC_1022, nGC_1024/))

      call avCT(863, 3, 12, 7, 0, FFaV1, (/1, 2/), (/nGC_1023, nGC_1025/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1050/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_963/))

      allocate(vertices(317)%branchCT(0:1))
      call avCT(317, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1124, nGC_1124/))

      call avCT(317, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1125, nGC_1125/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_935, nGC_935, nGC_934/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_996/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1037/))

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_936/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_970/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_926/))

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_971/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(326)%branchCT(0:1))
      call avCT(326, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_999, nGC_999/))

      call avCT(326, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1000, nGC_1000/))

      allocate(vertices(327)%branchCT(0:1))
      call avCT(327, 0, 27, 1, 0, FaFV0, (/0, 3/), (/nGC_1020/))

      call avCT(327, 1, 27, 1, 0, FaFV0, (/2, 1/), (/nGC_1021/))

      allocate(vertices(328)%branchCT(0:1))
      call avCT(328, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1028, nGC_1026/))

      call avCT(328, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1029, nGC_1027/))

      allocate(vertices(329)%branchCT(0:1))
      call avCT(329, 0, 29, 1, 0, FVFa1, (/0, 3/), (/nGC_1113/))

      call avCT(329, 1, 29, 1, 0, FVFa1, (/2, 1/), (/nGC_1114/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_971/))

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1020/))

      call avCT(332, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1021/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_773/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_998/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_997/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_996/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(339)%branchCT(0:1))
      call avCT(339, 0, 31, 1, 0, VFFa1, (/0, 3/), (/nGC_1046, nGC_1048/))

      call avCT(339, 1, 31, 1, 0, VFFa1, (/2, 1/), (/nGC_1047, nGC_1049/))

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_970/))

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1012, nGC_1014/))

      call avCT(342, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1013, nGC_1015/))

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_956/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_992/))

      allocate(vertices(345)%branchCT(0:1))
      call avCT(345, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1005, nGC_1007/))

      call avCT(345, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1006, nGC_1008/))

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_908, nGC_909, nGC_909 &
      , nGC_910/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1003/))

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1001, nGC_1002/))

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1149/))

      allocate(vertices(351)%branchCT(0:1))
      call avCT(351, 0, 34, 2, 0, UVUa0, (/3, 0/), (/nGC_1038/))

      call avCT(351, 1, 35, 3, 0, UVUa0, (/3, 0/), (/nGC_1038/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1115/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_944/))

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1150, nGC_1151,        &
      nGC_1151/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1101/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1151,        &
      nGC_1150/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1081/))

      allocate(vertices(357)%branchCT(0:3))
      call avCT(357, 0, 23, 6, 0, VFaF0, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(357, 1, 23, 6, 0, VFaF0, (/3, 0/), (/nGC_1033, nGC_1035/))

      call avCT(357, 2, 24, 7, 0, VFaF0, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(357, 3, 24, 7, 0, VFaF0, (/3, 0/), (/nGC_1033, nGC_1035/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_993, nGC_994/))

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_942/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1147/))

      allocate(vertices(1087)%branchCT(0:0))
      call avCT(1087, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1152/))

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_773/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1101/))

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_976/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_971/))

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_1010/))

      allocate(vertices(369)%branchCT(0:1))
      call avCT(369, 0, 29, 1, 0, FVFa1, (/0, 3/), (/nGC_911/))

      call avCT(369, 1, 29, 1, 0, FVFa1, (/2, 1/), (/nGC_912/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_935, nGC_934, nGC_935/))

      allocate(vertices(371)%branchCT(0:1))
      call avCT(371, 0, 28, 1, 0, FaSF0, (/0, 3/), (/nGC_1124, nGC_1124/))

      call avCT(371, 1, 28, 1, 0, FaSF0, (/2, 1/), (/nGC_1125, nGC_1125/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_937/))

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1067, nGC_1068/))

      allocate(vertices(374)%branchCT(0:1))
      call avCT(374, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(374, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1115/))

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1126, nGC_1126/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(585)%branchCT(0:1))
      call avCT(585, 0, 27, 1, 0, FaFS1, (/0, 3/), (/nGC_1056, nGC_1058/))

      call avCT(585, 1, 27, 1, 0, FaFS1, (/2, 1/), (/nGC_1057, nGC_1059/))

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(380)%branchCT(0:1))
      call avCT(380, 0, 31, 1, 0, VFFa1, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(380, 1, 31, 1, 0, VFFa1, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1154, nGC_1155/))

      allocate(vertices(382)%branchCT(0:1))
      call avCT(382, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_999, nGC_999/))

      call avCT(382, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_1000, nGC_1000/))

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_976/))

      allocate(vertices(751)%branchCT(0:0))
      call avCT(751, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_987, nGC_987, nGC_986/))

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(386)%branchCT(0:1))
      call avCT(386, 0, 28, 1, 0, FaVF1, (/0, 3/), (/nGC_1020/))

      call avCT(386, 1, 28, 1, 0, FaVF1, (/2, 1/), (/nGC_1021/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_778/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_947/))

      allocate(vertices(1090)%branchCT(0:0))
      call avCT(1090, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1156/))

      allocate(vertices(390)%branchCT(0:1))
      call avCT(390, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_1005, nGC_1007/))

      call avCT(390, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_1006, nGC_1008/))

      allocate(vertices(1091)%branchCT(0:1))
      call avCT(1091, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_957, nGC_959, nGC_959 &
      , nGC_961/))

      call avCT(1091, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_958, nGC_960, nGC_960 &
      , nGC_962/))

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(392)%branchCT(0:0))
      call avCT(392, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_924, nGC_925/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(394)%branchCT(0:3))
      call avCT(394, 0, 21, 6, 0, FVFa0, (/1, 2/), (/nGC_1103, nGC_1105/))

      call avCT(394, 1, 21, 6, 0, FVFa0, (/3, 0/), (/nGC_1102, nGC_1104/))

      call avCT(394, 2, 22, 7, 0, FVFa0, (/1, 2/), (/nGC_1103, nGC_1105/))

      call avCT(394, 3, 22, 7, 0, FVFa0, (/3, 0/), (/nGC_1102, nGC_1104/))

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_987, nGC_986, nGC_987/))

      allocate(vertices(396)%branchCT(0:1))
      call avCT(396, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_988, nGC_990/))

      call avCT(396, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_989, nGC_991/))

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(398)%branchCT(0:0))
      call avCT(398, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_963/))

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_936/))

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_779/))

      allocate(vertices(400)%branchCT(0:3))
      call avCT(400, 0, 21, 6, 0, FVFa0, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(400, 1, 21, 6, 0, FVFa0, (/3, 0/), (/nGC_1033, nGC_1035/))

      call avCT(400, 2, 22, 7, 0, FVFa0, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(400, 3, 22, 7, 0, FVFa0, (/3, 0/), (/nGC_1033, nGC_1035/))

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_993, nGC_994/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1060, nGC_1060/))

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(406)%branchCT(0:3))
      call avCT(406, 0, 11, 6, 0, FFaV1, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(406, 1, 11, 6, 0, FFaV1, (/1, 2/), (/nGC_1041, nGC_1043/))

      call avCT(406, 2, 12, 7, 0, FFaV1, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(406, 3, 12, 7, 0, FFaV1, (/1, 2/), (/nGC_1041, nGC_1043/))

      allocate(vertices(407)%branchCT(0:1))
      call avCT(407, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_1063, nGC_1065/))

      call avCT(407, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_1064, nGC_1066/))

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1150,        &
      nGC_1151/))

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1061/))

      allocate(vertices(408)%branchCT(0:1))
      call avCT(408, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(408, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(942)%branchCT(0:1))
      call avCT(942, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1113/))

      call avCT(942, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1114/))

      allocate(vertices(410)%branchCT(0:1))
      call avCT(410, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(410, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(411)%branchCT(0:1))
      call avCT(411, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1026, nGC_1028/))

      call avCT(411, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1027, nGC_1029/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_956/))

      allocate(vertices(413)%branchCT(0:1))
      call avCT(413, 0, 28, 1, 0, FaSF0, (/0, 3/), (/nGC_1092, nGC_1094/))

      call avCT(413, 1, 28, 1, 0, FaSF0, (/2, 1/), (/nGC_1093, nGC_1095/))

      allocate(vertices(1005)%branchCT(0:1))
      call avCT(1005, 0, 30, 1, 0, SFaF1, (/0, 3/), (/nGC_1028, nGC_1026/))

      call avCT(1005, 1, 30, 1, 0, SFaF1, (/2, 1/), (/nGC_1029, nGC_1027/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_932/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_971/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_945, nGC_945, nGC_946/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_976/))

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_907/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1101/))

      allocate(vertices(422)%branchCT(0:1))
      call avCT(422, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_972, nGC_974/))

      call avCT(422, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_973, nGC_975/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1161/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_998/))

      allocate(vertices(426)%branchCT(0:1))
      call avCT(426, 0, 27, 1, 0, FaFV1, (/0, 3/), (/nGC_1046, nGC_1048/))

      call avCT(426, 1, 27, 1, 0, FaFV1, (/2, 1/), (/nGC_1047, nGC_1049/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_946, nGC_945, nGC_945/))

      allocate(vertices(428)%branchCT(0:1))
      call avCT(428, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(428, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_997/))

      allocate(vertices(430)%branchCT(0:1))
      call avCT(430, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_1012, nGC_1014/))

      call avCT(430, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_1013, nGC_1015/))

      allocate(vertices(431)%branchCT(0:3))
      call avCT(431, 0, 11, 6, 0, FFaV1, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(431, 1, 11, 6, 0, FFaV1, (/3, 0/), (/nGC_1033, nGC_1035/))

      call avCT(431, 2, 12, 7, 0, FFaV1, (/1, 2/), (/nGC_1034, nGC_1036/))

      call avCT(431, 3, 12, 7, 0, FFaV1, (/3, 0/), (/nGC_1033, nGC_1035/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_931/))

      allocate(vertices(433)%branchCT(0:3))
      call avCT(433, 0, 23, 6, 0, VFaF0, (/1, 2/), (/nGC_1163, nGC_1165/))

      call avCT(433, 1, 23, 6, 0, VFaF0, (/3, 0/), (/nGC_1162, nGC_1164/))

      call avCT(433, 2, 24, 7, 0, VFaF0, (/1, 2/), (/nGC_1163, nGC_1165/))

      call avCT(433, 3, 24, 7, 0, VFaF0, (/3, 0/), (/nGC_1162, nGC_1164/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_997/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(436)%branchCT(0:3))
      call avCT(436, 0, 17, 6, 0, FaVF0, (/1, 2/), (/nGC_1163, nGC_1165/))

      call avCT(436, 1, 17, 6, 0, FaVF0, (/3, 0/), (/nGC_1162, nGC_1164/))

      call avCT(436, 2, 18, 7, 0, FaVF0, (/1, 2/), (/nGC_1163, nGC_1165/))

      call avCT(436, 3, 18, 7, 0, FaVF0, (/3, 0/), (/nGC_1162, nGC_1164/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1100/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_932/))

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1149/))

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1151, nGC_1151,        &
      nGC_1150/))

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1166/))

      allocate(vertices(441)%branchCT(0:1))
      call avCT(441, 0, 31, 1, 0, VFFa0, (/0, 3/), (/nGC_911/))

      call avCT(441, 1, 31, 1, 0, VFFa0, (/2, 1/), (/nGC_912/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_998/))

      allocate(vertices(443)%branchCT(0:0))
      call avCT(443, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_985/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_947/))

      allocate(vertices(446)%branchCT(0:0))
      call avCT(446, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(1095)%branchCT(0:1))
      call avCT(1095, 0, 42, 1, 0, FaF1, (/0, 2/), (/nGC_1167, nGC_1169,       &
      nGC_1169, nGC_1171/))

      call avCT(1095, 1, 42, 1, 0, FaF1, (/2, 0/), (/nGC_1168, nGC_1170,       &
      nGC_1170, nGC_1172/))

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1153/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_944/))

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_970/))

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_924, nGC_925/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1115/))

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1123/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(690)%branchCT(0:1))
      call avCT(690, 0, 31, 1, 0, SFFa0, (/0, 3/), (/nGC_1058, nGC_1056/))

      call avCT(690, 1, 31, 1, 0, SFFa0, (/2, 1/), (/nGC_1059, nGC_1057/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_996/))

      allocate(vertices(455)%branchCT(0:1))
      call avCT(455, 0, 30, 1, 0, VFaF0, (/0, 3/), (/nGC_920, nGC_922/))

      call avCT(455, 1, 30, 1, 0, VFaF0, (/2, 1/), (/nGC_921, nGC_923/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_984/))

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_945, nGC_946, nGC_945/))

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1115/))

      allocate(vertices(416)%branchCT(0:1))
      call avCT(416, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_1069, nGC_1071/))

      call avCT(416, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_1070, nGC_1072/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_778/))

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_934, nGC_935, nGC_935/))

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1173, nGC_1174,       &
      nGC_1174, nGC_1175/))

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1126, nGC_1126/))

      allocate(vertices(464)%branchCT(0:1))
      call avCT(464, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_920, nGC_922/))

      call avCT(464, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_921, nGC_923/))

      allocate(vertices(465)%branchCT(0:3))
      call avCT(465, 0, 19, 6, 0, FaFV1, (/1, 2/), (/nGC_1177, nGC_1179/))

      call avCT(465, 1, 19, 6, 0, FaFV1, (/3, 0/), (/nGC_1176, nGC_1178/))

      call avCT(465, 2, 20, 7, 0, FaFV1, (/1, 2/), (/nGC_1177, nGC_1179/))

      call avCT(465, 3, 20, 7, 0, FaFV1, (/3, 0/), (/nGC_1176, nGC_1178/))

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_995/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_773/))

      allocate(vertices(469)%branchCT(0:1))
      call avCT(469, 0, 31, 1, 0, VFFa0, (/0, 3/), (/nGC_1113/))

      call avCT(469, 1, 31, 1, 0, VFFa0, (/2, 1/), (/nGC_1114/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1180/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_996/))

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_1039/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_919/))

      allocate(vertices(473)%branchCT(0:3))
      call avCT(473, 0, 19, 6, 0, FaFV1, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(473, 1, 19, 6, 0, FaFV1, (/1, 2/), (/nGC_1041, nGC_1043/))

      call avCT(473, 2, 20, 7, 0, FaFV1, (/3, 0/), (/nGC_1040, nGC_1042/))

      call avCT(473, 3, 20, 7, 0, FaFV1, (/1, 2/), (/nGC_1041, nGC_1043/))

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(475)%branchCT(0:0))
      call avCT(475, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_776/))

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_942/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_984/))

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_976/))

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_970/))

      allocate(vertices(838)%branchCT(0:1))
      call avCT(838, 0, 29, 1, 0, FSFa1, (/0, 3/), (/nGC_1181, nGC_1181/))

      call avCT(838, 1, 29, 1, 0, FSFa1, (/2, 1/), (/nGC_1182, nGC_1182/))

      allocate(vertices(480)%branchCT(0:1))
      call avCT(480, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_1141, nGC_1143/))

      call avCT(480, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_1142, nGC_1144/))

      allocate(vertices(481)%branchCT(0:1))
      call avCT(481, 0, 29, 1, 0, FVFa0, (/0, 3/), (/nGC_1046, nGC_1048/))

      call avCT(481, 1, 29, 1, 0, FVFa0, (/2, 1/), (/nGC_1047, nGC_1049/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_905/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_998/))

      allocate(vertices(484)%branchCT(0:0))
      call avCT(484, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1080/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_926/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_907/))

      allocate(vertices(487)%branchCT(0:3))
      call avCT(487, 0, 11, 6, 0, FFaV1, (/1, 2/), (/nGC_1177, nGC_1179/))

      call avCT(487, 1, 11, 6, 0, FFaV1, (/3, 0/), (/nGC_1176, nGC_1178/))

      call avCT(487, 2, 12, 7, 0, FFaV1, (/1, 2/), (/nGC_1177, nGC_1179/))

      call avCT(487, 3, 12, 7, 0, FFaV1, (/3, 0/), (/nGC_1176, nGC_1178/))

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_937/))

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1080/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_935, nGC_934, nGC_935/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1096/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_997/))

      allocate(vertices(493)%branchCT(0:1))
      call avCT(493, 0, 28, 1, 0, FaVF0, (/0, 3/), (/nGC_1052, nGC_1054/))

      call avCT(493, 1, 28, 1, 0, FaVF0, (/2, 1/), (/nGC_1053, nGC_1055/))

      allocate(vertices(494)%branchCT(0:0))
      call avCT(494, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_905/))

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_926/))

      allocate(vertices(421)%branchCT(0:0))
      call avCT(421, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1073/))

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_779/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_998/))

    end subroutine fill_vertices_mdl2
end module vertices_info2
