!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-12 12:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_553) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(   &
                       nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_160)*coupl&
                       (nGC_2)*coupl(nGC_53) + coupl(nGC_176)*coupl(nGC_39)*   &
                       coupl(nGC_53) + coupl(nGC_180)*coupl(nGC_23)*coupl(     &
                       nGC_54) + coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_55) +   &
                       8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(  &
                       nGC_34)*coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_54)*    &
                       coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77&
                       )*coupl(nGC_79))/(32d0*pi**2d0)
      coupl(nGC_552) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) - &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -  &
                       2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -  &
                       2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -  &
                       2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -  &
                       2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -  &
                       2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -  &
                       2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +  &
                       2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0*&
                       cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME*&
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*    &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*   &
                       coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*   &
                       coupl(nGC_168)*coupl(nGC_51) + 4d0*cima*coupl(nGC_19)*  &
                       coupl(nGC_47) - coupl(nGC_162)*coupl(nGC_166)*coupl(    &
                       nGC_52) - coupl(nGC_162)*coupl(nGC_21)*coupl(nGC_50) +  &
                       6d0*coupl(nGC_162)*coupl(nGC_25)*coupl(nGC_47) + 6d0*   &
                       coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25&
                       )*coupl(nGC_40)*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4&
                       )*coupl(nGC_47))/(32d0*pi**2d0)
      coupl(nGC_551) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0*&
                       Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*  &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_164)*coupl(nGC_21) - 6d0*coupl(nGC_162)*    &
                       coupl(nGC_176)*coupl(nGC_21) + coupl(nGC_166)**2d0*coupl&
                       (nGC_174) + coupl(nGC_174)*coupl(nGC_22)**2d0 + coupl(  &
                       nGC_180)*coupl(nGC_184)*coupl(nGC_40) - 6d0*coupl(      &
                       nGC_180)*coupl(nGC_25)*coupl(nGC_37) + 4d0*coupl(nGC_23 &
                       )*coupl(nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl(&
                       nGC_69)*coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)*&
                       coupl(nGC_83))/(96d0*pi**2d0)
      coupl(nGC_550) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0*&
                       Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*  &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl&
                       (nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(    &
                       nGC_23)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(     &
                       nGC_23)*coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_160 &
                       )*coupl(nGC_164)*coupl(nGC_180) - 6d0*coupl(nGC_162)*   &
                       coupl(nGC_176)*coupl(nGC_180) + coupl(nGC_166)**2d0*    &
                       coupl(nGC_22) - 6d0*coupl(nGC_184)*coupl(nGC_21)*coupl( &
                       nGC_25) + coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) +   &
                       coupl(nGC_22)**3d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*   &
                       coupl(nGC_68) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(  &
                       nGC_72) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84  &
                       ))/(96d0*pi**2d0)
      coupl(nGC_980) = coupl(nGC_54)*dZbL_QED2/2d0 + coupl(nGC_54)*dZbR_QED2/  &
                       2d0 + coupl(nGC_836)
      coupl(nGC_981) = coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(nGC_54)*dZbR_QCD2/  &
                       2d0 + coupl(nGC_837)
      coupl(nGC_982) = coupl(nGC_56)*dZbL_QED2/2d0 + coupl(nGC_56)*dZbR_QED2/  &
                       2d0 + coupl(nGC_838)
      coupl(nGC_983) = coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(nGC_56)*dZbR_QCD2/  &
                       2d0 + coupl(nGC_839)
      coupl(nGC_985) = coupl(nGC_48)*dZH_QED2/2d0 + coupl(nGC_784) + coupl(    &
                       nGC_GGH)
      coupl(nGC_988) = coupl(nGC_60)*dZcL_QED2/2d0 + coupl(nGC_60)*dZcR_QED2/  &
                       2d0 + coupl(nGC_862)
      coupl(nGC_989) = coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(nGC_60)*dZcR_QCD2/  &
                       2d0 + coupl(nGC_863)
      coupl(nGC_458) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(  &
                       nGC_38)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1140) = coupl(nGC_46)*dZZ_QED2 + coupl(nGC_803)
      coupl(nGC_1141) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2 +   &
                        coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_1142) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_590) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_87) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*coupl(nGC_23 &
                       )*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87) -   &
                       coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(nGC_86&
                       )**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(nGC_88  &
                       ))/(32d0*pi**2d0)
      coupl(nGC_1144) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1146) = coupl(nGC_72)*dZmuMinusL_QED2/2d0 + coupl(nGC_72)*     &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_851)
      coupl(nGC_1147) = -coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1149) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*            &
                        dZnu_tauL_QED2 + coupl(nGC_814)
      coupl(nGC_748) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima&
                       *coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_188)**2d0  &
                        + 21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 -  &
                       21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_188)*sq2**2d0 +    &
                       36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_596) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc* &
                       cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc* &
                       cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl(&
                       nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*  &
                       coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)**&
                       2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl(&
                       nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                       nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) - &
                       8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS&
                       *coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*&
                       coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(    &
                       nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*  &
                       coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)**&
                       2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl(&
                       nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                       nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) - &
                       8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl&
                       (nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(   &
                       nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0*&
                       coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*    &
                       coupl(nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71 &
                       ) - 8d0*cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA&
                       *coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*  &
                       coupl(nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(      &
                       nGC_172)*coupl(nGC_50) + 6d0*coupl(nGC_162)**2d0*coupl( &
                       nGC_50) - coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_47) - &
                       coupl(nGC_162)*coupl(nGC_20)*coupl(nGC_47) - coupl(     &
                       nGC_174)*coupl(nGC_25)*coupl(nGC_47) - coupl(nGC_21)*   &
                       coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25)**2d0*   &
                       coupl(nGC_50))/(32d0*pi**2d0)
      coupl(nGC_1187) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_654) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)*  &
                       coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0 &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_655) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                       ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_656) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                       nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl(&
                       nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_657) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                       nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_54)*  &
                       coupl(nGC_56) - coupl(nGC_55)**2d0 - coupl(nGC_77)**2d0 &
                       )/(64d0*pi**2d0)
      coupl(nGC_651) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82 &
                       )*coupl(nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_652) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*    &
                       coupl(nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_653) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(    &
                       nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_794) = coupl(nGC_417)*dZee_QED2 + coupl(nGC_418)*dsw_QED2
      coupl(nGC_797) = coupl(nGC_338)*dZee_QED2 + coupl(nGC_339)*dsw_QED2 +    &
                       coupl(nGC_340)*dcw_QED2
      coupl(nGC_796) = coupl(nGC_354)*dZee_QED2 + coupl(nGC_355)*dsw_QED2 +    &
                       coupl(nGC_356)*dcw_QED2
      coupl(nGC_791) = coupl(nGC_440)*dZee_QED2 + coupl(nGC_441)*dsw_QED2
      coupl(nGC_790) = coupl(nGC_438)*dZee_QED2 + coupl(nGC_439)*dsw_QED2
      coupl(nGC_793) = coupl(nGC_424)*dZee_QED2 + coupl(nGC_425)*dsw_QED2
      coupl(nGC_792) = coupl(nGC_432)*dZee_QED2 + coupl(nGC_433)*dsw_QED2
      coupl(nGC_1167) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_744) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl(&
                       nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
      coupl(nGC_746) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl(&
                       nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0* &
                       Nc**2d0)
      coupl(nGC_745) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl&
                       (nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi**2d0*&
                       Nc)
      coupl(nGC_970) = coupl(nGC_46)*dZZA_QED2/2d0
      coupl(nGC_973) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_972) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_39)*dZZ_QED2/2d0 &
                        + coupl(nGC_39)*dZcL_QED2 + coupl(nGC_811)
      coupl(nGC_975) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_974) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_35)*dZZ_QED2/2d0 &
                        + coupl(nGC_35)*dZcR_QED2 + coupl(nGC_810)
      coupl(nGC_977) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_976) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_eL_QED2/2d0 +   &
                       coupl(nGC_809)
      coupl(nGC_979) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_978) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_577) = (coupl(nGC_180)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                       nGC_184)*coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(     &
                       nGC_66)*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
      coupl(nGC_576) = (coupl(nGC_184)*coupl(nGC_36)*coupl(nGC_67) + coupl(    &
                       nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) - &
                       coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*  &
                       coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_870) = coupl(nGC_430)*dyup_QED3
      coupl(nGC_871) = coupl(nGC_430)*dyup_QED1_QCD2
      coupl(nGC_873) = coupl(nGC_394)*dyc_QED1_QCD2
      coupl(nGC_874) = coupl(nGC_431)*dyt_QED3
      coupl(nGC_875) = coupl(nGC_431)*dyt_QED1_QCD2
      coupl(nGC_1041) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_1040) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtL_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_1043) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_1042) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZtR_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_1045) = coupl(nGC_71)*dZH_QED2/2d0 + coupl(nGC_71)*            &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_71)*dZmuMinusR_QED2/2d0&
                         + coupl(nGC_856)
      coupl(nGC_1044) = coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1047) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1046) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_38)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_1049) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1048) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_34)*dZZA_QED2/2d0 + coupl(nGC_807)
      coupl(nGC_676) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                       nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_53)** &
                       2d0 + coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_79)**2d0  &
                       )/(64d0*pi**2d0)
      coupl(nGC_677) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                       nGC_35)**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)*coupl(&
                       nGC_80) + coupl(nGC_79)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1210) = -coupl(nGC_551)
      coupl(nGC_589) = (coupl(nGC_180)*coupl(nGC_23)*coupl(nGC_81) + coupl(    &
                       nGC_184)*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(     &
                       nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_584) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_79) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*coupl(nGC_23 &
                       )*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -   &
                       coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78&
                       )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80  &
                       ))/(32d0*pi**2d0)
      coupl(nGC_585) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_586) = (-coupl(nGC_180)*coupl(nGC_23)*coupl(nGC_77) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_79) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_80) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80 &
                       ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(  &
                       nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_587) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_580) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75) -   &
                       coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(nGC_74&
                       )*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76)**2d0 &
                       )/(32d0*pi**2d0)
      coupl(nGC_581) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_582) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_180)*  &
                       coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_75) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_74) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) -   &
                       coupl(nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*  &
                       coupl(nGC_76))/(32d0*pi**2d0)
      coupl(nGC_583) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_566) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_180)*  &
                       coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_55) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) -   &
                       coupl(nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*  &
                       coupl(nGC_56))/(32d0*pi**2d0)
      coupl(nGC_567) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_564) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -   &
                       coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54&
                       )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0 &
                       )/(32d0*pi**2d0)
      coupl(nGC_565) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_562) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc* &
                       cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc* &
                       cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl(&
                       nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)* &
                       coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)* &
                       coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl&
                       (nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl&
                       (nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0  &
                        + 4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc&
                       *cMS*coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*&
                       cMS*coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(&
                       nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)* &
                       coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)* &
                       coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl&
                       (nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl&
                       (nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0  &
                        + 4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME* &
                       coupl(nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*    &
                       coupl(nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70 &
                       )**2d0*coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(    &
                       nGC_71)*coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(    &
                       nGC_72)**2d0 + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83 &
                       ) + 16d0*cMTA*coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84  &
                       ) + 4d0*cMTA*coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima&
                       *coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*  &
                       coupl(nGC_52) + 2d0*coupl(nGC_180)*coupl(nGC_22)*coupl( &
                       nGC_48) - 2d0*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_50 &
                       ) + coupl(nGC_184)**2d0*coupl(nGC_48) + coupl(nGC_184)* &
                       coupl(nGC_37)*coupl(nGC_49) - coupl(nGC_184)*coupl(     &
                       nGC_37)*coupl(nGC_52) + coupl(nGC_37)**2d0*coupl(nGC_48 &
                       ))/(32d0*pi**2d0)
      coupl(nGC_563) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0&
                       *Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc* &
                       coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl&
                       (nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(    &
                       nGC_34)*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(     &
                       nGC_34)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_78)*coupl(nGC_79) - 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_86)*coupl(nGC_87) - 4d0*Nc*coupl(     &
                       nGC_35)*coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(     &
                       nGC_38)*coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_59)*coupl(nGC_60) - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_78)*coupl(nGC_79) + 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_79)*coupl(nGC_80) - 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(     &
                       nGC_39)*coupl(nGC_87)*coupl(nGC_88) - 6d0*coupl(nGC_162 &
                       )*coupl(nGC_20)*coupl(nGC_22) + coupl(nGC_166)*coupl(   &
                       nGC_176)*coupl(nGC_180) + coupl(nGC_174)*coupl(nGC_180)*&
                       coupl(nGC_40) + coupl(nGC_184)**3d0 - 6d0*coupl(nGC_21)*&
                       coupl(nGC_22)*coupl(nGC_25) - 4d0*coupl(nGC_36)*coupl(  &
                       nGC_66)*coupl(nGC_67) + 4d0*coupl(nGC_36)*coupl(nGC_67)*&
                       coupl(nGC_68) - 4d0*coupl(nGC_36)*coupl(nGC_70)*coupl(  &
                       nGC_71) + 4d0*coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72  &
                       ) - 4d0*coupl(nGC_36)*coupl(nGC_82)*coupl(nGC_83) + 4d0*&
                       coupl(nGC_36)*coupl(nGC_83)*coupl(nGC_84) + 4d0*coupl(  &
                       nGC_40)*coupl(nGC_66)*coupl(nGC_67) - 4d0*coupl(nGC_40)*&
                       coupl(nGC_67)*coupl(nGC_68) + 4d0*coupl(nGC_40)*coupl(  &
                       nGC_70)*coupl(nGC_71) - 4d0*coupl(nGC_40)*coupl(nGC_71)*&
                       coupl(nGC_72) + 4d0*coupl(nGC_40)*coupl(nGC_82)*coupl(  &
                       nGC_83) - 4d0*coupl(nGC_40)*coupl(nGC_83)*coupl(nGC_84  &
                       ))/(96d0*pi**2d0)
      coupl(nGC_560) = (coupl(nGC_176)*coupl(nGC_41)*coupl(nGC_69) + coupl(    &
                       nGC_180)*coupl(nGC_23)*coupl(nGC_70) + coupl(nGC_21)*   &
                       coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_36)*coupl(nGC_40&
                       )*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)*coupl(&
                       nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69))/(32d0*pi**2d0&
                       )
      coupl(nGC_608) = (coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_69) + coupl(    &
                       nGC_184)*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(     &
                       nGC_71)**3d0)/(32d0*pi**2d0)
      coupl(nGC_607) = (coupl(nGC_184)*coupl(nGC_36)*coupl(nGC_68) + coupl(    &
                       nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_67) - &
                       coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_606) = (coupl(nGC_174)*coupl(nGC_23)*coupl(nGC_65) + coupl(    &
                       nGC_184)*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_36)*   &
                       coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(  &
                       nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(    &
                       nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(     &
                       nGC_67)**3d0)/(32d0*pi**2d0)
      coupl(nGC_605) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_604) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_62) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62) -   &
                       coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_62&
                       )**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_603) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_166)*  &
                       coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_64) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_63) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) -   &
                       coupl(nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_602) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_568) = (-coupl(nGC_184)*coupl(nGC_35)*coupl(nGC_59) + 8d0*coupl&
                       (nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*coupl(nGC_23 &
                       )*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(&
                       nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59) -   &
                       coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(nGC_58&
                       )**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(nGC_60  &
                       ))/(32d0*pi**2d0)
      coupl(nGC_569) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_513) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +     &
                       coupl(nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_164)*   &
                       coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**2d0&
                        + coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_699) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0* &
                       coupl(nGC_39) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23  &
                       )**2d0*coupl(nGC_38) + 36d0*Nc*cima*coupl(nGC_2)*coupl( &
                       nGC_23)**2d0*coupl(nGC_39) - 32d0*cima*coupl(nGC_162)** &
                       2d0*coupl(nGC_25)*coupl(nGC_3) - 32d0*cima*coupl(nGC_164&
                       )**2d0*coupl(nGC_25)*coupl(nGC_3) + 12d0*cima*coupl(    &
                       nGC_18)*coupl(nGC_29) + 36d0*cima*coupl(nGC_23)**2d0*   &
                       coupl(nGC_4)*coupl(nGC_40) - 30d0*cima*coupl(nGC_23)**  &
                       2d0*coupl(nGC_4)*coupl(nGC_41) + 18d0*coupl(nGC_162)**  &
                       2d0*coupl(nGC_29) + 18d0*coupl(nGC_162)*coupl(nGC_164)* &
                       coupl(nGC_18) + 6d0*coupl(nGC_162)*coupl(nGC_168)*coupl(&
                       nGC_25) + 6d0*coupl(nGC_162)*coupl(nGC_19)*coupl(nGC_3  &
                       ) + 3d0*coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_5) + 18d0*&
                       coupl(nGC_164)**2d0*coupl(nGC_29) + 6d0*coupl(nGC_164)* &
                       coupl(nGC_168)*coupl(nGC_3) + 3d0*coupl(nGC_164)*coupl( &
                       nGC_25)*coupl(nGC_5) + 18d0*coupl(nGC_18)*coupl(nGC_25)*&
                       coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_511) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*  &
                       coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_510) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl( &
                       nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)* &
                       coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*  &
                       coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_517) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_516) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4 &
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl(&
                       nGC_67)**2d0)/(32d0*pi**2d0)
      coupl(nGC_515) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**  &
                       2d0)/(32d0*pi**2d0)
      coupl(nGC_514) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) +     &
                       coupl(nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(   &
                       nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_690) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(   &
                       nGC_56) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)* &
                       coupl(nGC_64) - 24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                       nGC_74)*coupl(nGC_76) - 24d0*Nc*cima*coupl(nGC_2)**2d0* &
                       coupl(nGC_58)*coupl(nGC_60) - 24d0*Nc*cima*coupl(nGC_2  &
                       )**2d0*coupl(nGC_78)*coupl(nGC_80) - 24d0*Nc*cima*coupl(&
                       nGC_2)**2d0*coupl(nGC_86)*coupl(nGC_88) + 4d0*cima*coupl&
                       (nGC_160)**2d0*coupl(nGC_180)*coupl(nGC_22) + 9d0*cima* &
                       coupl(nGC_164)**2d0*coupl(nGC_180)*coupl(nGC_22) + 12d0*&
                       cima*coupl(nGC_17)*coupl(nGC_170) + 9d0*cima*coupl(     &
                       nGC_180)*coupl(nGC_22)*coupl(nGC_3)**2d0 + 4d0*cima*    &
                       coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_4)**2d0 - 24d0*  &
                       cima*coupl(nGC_4)**2d0*coupl(nGC_66)*coupl(nGC_68) -    &
                       24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_70)*coupl(nGC_72  &
                       ) - 24d0*cima*coupl(nGC_4)**2d0*coupl(nGC_82)*coupl(    &
                       nGC_84) + 18d0*coupl(nGC_164)**2d0*coupl(nGC_17) - 6d0* &
                       coupl(nGC_164)*coupl(nGC_180)*coupl(nGC_28) - 6d0*coupl(&
                       nGC_164)*coupl(nGC_22)*coupl(nGC_26) + 18d0*coupl(nGC_17&
                       )*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_170)*coupl(nGC_180)*&
                       coupl(nGC_22) + 6d0*coupl(nGC_180)*coupl(nGC_22)*coupl( &
                       nGC_6) - 6d0*coupl(nGC_180)*coupl(nGC_26)*coupl(nGC_3   &
                       ) - 6d0*coupl(nGC_22)*coupl(nGC_28)*coupl(nGC_3))/(96d0*&
                       pi**2d0)
      coupl(nGC_691) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*  &
                       coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*&
                       coupl(nGC_57)*coupl(nGC_58) + 4d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) + 4d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74   &
                       ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77&
                       )*coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23&
                       )*coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(    &
                       nGC_58) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                       nGC_61)*coupl(nGC_62) - 16d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*cima*coupl(&
                       nGC_2)*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0* &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl( &
                       nGC_86) + 4d0*cima*coupl(nGC_160)*coupl(nGC_174)**2d0*  &
                       coupl(nGC_22) + 4d0*cima*coupl(nGC_160)*coupl(nGC_22)** &
                       3d0 + 9d0*cima*coupl(nGC_162)*coupl(nGC_184)*coupl(     &
                       nGC_20)*coupl(nGC_3) + 9d0*cima*coupl(nGC_164)*coupl(   &
                       nGC_180)*coupl(nGC_25)*coupl(nGC_40) + 9d0*cima*coupl(  &
                       nGC_164)*coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 24d0&
                       *cima*coupl(nGC_168)*coupl(nGC_7) + 4d0*cima*coupl(     &
                       nGC_176)*coupl(nGC_20)*coupl(nGC_37)*coupl(nGC_4) + 4d0*&
                       cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(    &
                       nGC_66) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(    &
                       nGC_69)*coupl(nGC_70) + 4d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_4)*coupl(nGC_81)*coupl(nGC_82) + 24d0*cima*coupl(   &
                       nGC_26)*coupl(nGC_5) - 6d0*coupl(nGC_160)*coupl(nGC_164 &
                       )*coupl(nGC_26) - 6d0*coupl(nGC_162)*coupl(nGC_176)*    &
                       coupl(nGC_26) - 6d0*coupl(nGC_162)*coupl(nGC_184)*coupl(&
                       nGC_27) + 36d0*coupl(nGC_162)*coupl(nGC_3)*coupl(nGC_7  &
                       ) - 6d0*coupl(nGC_164)*coupl(nGC_17)*coupl(nGC_180) +   &
                       36d0*coupl(nGC_164)*coupl(nGC_26)*coupl(nGC_3) - 6d0*   &
                       coupl(nGC_168)*coupl(nGC_180)*coupl(nGC_40) - 6d0*coupl(&
                       nGC_168)*coupl(nGC_184)*coupl(nGC_20) - 6d0*coupl(nGC_17&
                       )*coupl(nGC_180)*coupl(nGC_3) + 6d0*coupl(nGC_174)*coupl&
                       (nGC_22)*coupl(nGC_27) + 6d0*coupl(nGC_176)*coupl(nGC_27&
                       )*coupl(nGC_37) - 6d0*coupl(nGC_180)*coupl(nGC_25)*coupl&
                       (nGC_42) - 6d0*coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_6  &
                       ) - 6d0*coupl(nGC_180)*coupl(nGC_4)*coupl(nGC_5) + 6d0* &
                       coupl(nGC_22)**2d0*coupl(nGC_26))/(192d0*pi**2d0)
      coupl(nGC_519) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_693) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*  &
                       coupl(nGC_56) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*&
                       coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_76   &
                       ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77&
                       )*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23&
                       )*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) + 4d0*Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(    &
                       nGC_60) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                       nGC_61)*coupl(nGC_64) - 16d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_23)*coupl(nGC_73)*coupl(nGC_76) + 4d0*Nc*cima*coupl(&
                       nGC_2)*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_80) + 4d0* &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl( &
                       nGC_88) + 9d0*cima*coupl(nGC_160)*coupl(nGC_164)*coupl( &
                       nGC_180)*coupl(nGC_3) + 4d0*cima*coupl(nGC_160)*coupl(  &
                       nGC_21)*coupl(nGC_37)*coupl(nGC_40) + 9d0*cima*coupl(   &
                       nGC_162)*coupl(nGC_176)*coupl(nGC_180)*coupl(nGC_3) +   &
                       9d0*cima*coupl(nGC_164)*coupl(nGC_184)*coupl(nGC_21)*   &
                       coupl(nGC_25) + 4d0*cima*coupl(nGC_166)**2d0*coupl(     &
                       nGC_22)*coupl(nGC_4) + 24d0*cima*coupl(nGC_168)*coupl(  &
                       nGC_9) + 4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_4) + 4d0*&
                       cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl(    &
                       nGC_68) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(    &
                       nGC_69)*coupl(nGC_72) + 4d0*cima*coupl(nGC_23)*coupl(   &
                       nGC_4)*coupl(nGC_81)*coupl(nGC_84) + 24d0*cima*coupl(   &
                       nGC_28)*coupl(nGC_5) - 6d0*coupl(nGC_160)*coupl(nGC_180 &
                       )*coupl(nGC_5) - 6d0*coupl(nGC_162)*coupl(nGC_180)*coupl&
                       (nGC_42) - 6d0*coupl(nGC_164)*coupl(nGC_17)*coupl(      &
                       nGC_180) - 6d0*coupl(nGC_164)*coupl(nGC_180)*coupl(nGC_6&
                       ) + 36d0*coupl(nGC_164)*coupl(nGC_25)*coupl(nGC_9) +    &
                       36d0*coupl(nGC_164)*coupl(nGC_28)*coupl(nGC_3) + 6d0*   &
                       coupl(nGC_166)*coupl(nGC_22)*coupl(nGC_27) - 6d0*coupl( &
                       nGC_168)*coupl(nGC_176)*coupl(nGC_180) - 6d0*coupl(     &
                       nGC_168)*coupl(nGC_184)*coupl(nGC_21) - 6d0*coupl(nGC_17&
                       )*coupl(nGC_180)*coupl(nGC_3) - 6d0*coupl(nGC_184)*coupl&
                       (nGC_25)*coupl(nGC_27) + 6d0*coupl(nGC_22)**2d0*coupl(  &
                       nGC_28) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl(nGC_40  &
                       ) + 6d0*coupl(nGC_27)*coupl(nGC_37)*coupl(nGC_40) - 6d0*&
                       coupl(nGC_28)*coupl(nGC_3)*coupl(nGC_4))/(192d0*pi**2d0)
      coupl(nGC_694) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*  &
                       coupl(nGC_55) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*&
                       coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*cima*coupl(nGC_1)* &
                       coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_75   &
                       ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77&
                       )*coupl(nGC_79) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23&
                       )*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*Nc*   &
                       cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(    &
                       nGC_59) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(&
                       nGC_61)*coupl(nGC_63) - 16d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cima*coupl(&
                       nGC_2)*coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_79) + 4d0* &
                       Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl( &
                       nGC_87) + 9d0*cima*coupl(nGC_160)*coupl(nGC_164)*coupl( &
                       nGC_21)*coupl(nGC_3) + 4d0*cima*coupl(nGC_160)*coupl(   &
                       nGC_180)*coupl(nGC_184)*coupl(nGC_40) + 9d0*cima*coupl( &
                       nGC_162)*coupl(nGC_176)*coupl(nGC_21)*coupl(nGC_3) + 9d0&
                       *cima*coupl(nGC_164)*coupl(nGC_180)*coupl(nGC_25)*coupl(&
                       nGC_37) + 4d0*cima*coupl(nGC_166)**2d0*coupl(nGC_174)*  &
                       coupl(nGC_4) + 24d0*cima*coupl(nGC_168)*coupl(nGC_8) +  &
                       4d0*cima*coupl(nGC_174)*coupl(nGC_22)**2d0*coupl(nGC_4  &
                       ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*  &
                       coupl(nGC_67) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*    &
                       coupl(nGC_69)*coupl(nGC_71) + 4d0*cima*coupl(nGC_23)*   &
                       coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83) + 24d0*cima*   &
                       coupl(nGC_27)*coupl(nGC_5) - 6d0*coupl(nGC_160)*coupl(  &
                       nGC_21)*coupl(nGC_5) - 6d0*coupl(nGC_162)*coupl(nGC_21)*&
                       coupl(nGC_42) - 6d0*coupl(nGC_164)*coupl(nGC_17)*coupl( &
                       nGC_21) - 6d0*coupl(nGC_164)*coupl(nGC_21)*coupl(nGC_6  &
                       ) + 36d0*coupl(nGC_164)*coupl(nGC_25)*coupl(nGC_8) +    &
                       36d0*coupl(nGC_164)*coupl(nGC_27)*coupl(nGC_3) + 6d0*   &
                       coupl(nGC_166)*coupl(nGC_174)*coupl(nGC_27) - 6d0*coupl(&
                       nGC_168)*coupl(nGC_176)*coupl(nGC_21) - 6d0*coupl(      &
                       nGC_168)*coupl(nGC_180)*coupl(nGC_37) - 6d0*coupl(nGC_17&
                       )*coupl(nGC_21)*coupl(nGC_3) + 6d0*coupl(nGC_174)*coupl(&
                       nGC_22)*coupl(nGC_28) + 6d0*coupl(nGC_184)*coupl(nGC_28 &
                       )*coupl(nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_27)*coupl(&
                       nGC_40) - 6d0*coupl(nGC_25)*coupl(nGC_28)*coupl(nGC_37  &
                       ) - 6d0*coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_4))/(192d0*&
                       pi**2d0)
      coupl(nGC_695) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + 6d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 6d0*Nc*  &
                       cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 6d0*Nc*cima*&
                       coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 - 20d0*cima*coupl( &
                       nGC_162)**2d0*coupl(nGC_164)**2d0 + 6d0*cima*coupl(     &
                       nGC_170)*coupl(nGC_172) - 20d0*cima*coupl(nGC_25)**2d0* &
                       coupl(nGC_3)**2d0 + 6d0*cima*coupl(nGC_36)**2d0*coupl(  &
                       nGC_4)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**&
                       2d0 + 9d0*coupl(nGC_162)**2d0*coupl(nGC_170) + 6d0*coupl&
                       (nGC_162)*coupl(nGC_164)*coupl(nGC_168) + 9d0*coupl(    &
                       nGC_164)**2d0*coupl(nGC_172) + 6d0*coupl(nGC_168)*coupl(&
                       nGC_25)*coupl(nGC_3) + 9d0*coupl(nGC_170)*coupl(nGC_25  &
                       )**2d0 + 9d0*coupl(nGC_172)*coupl(nGC_3)**2d0)/(48d0*pi &
                       **2d0)
      coupl(nGC_696) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 +    &
                       12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_38)**2d0 + 12d0&
                       *Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_35)**2d0 + 12d0*Nc*&
                       cima*coupl(nGC_2)**2d0*coupl(nGC_39)**2d0 - 40d0*cima*  &
                       coupl(nGC_162)**2d0*coupl(nGC_164)**2d0 - 40d0*cima*    &
                       coupl(nGC_25)**2d0*coupl(nGC_3)**2d0 + 12d0*cima*coupl( &
                       nGC_29)**2d0 + 12d0*cima*coupl(nGC_36)**2d0*coupl(nGC_4 &
                       )**2d0 + 12d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40)**2d0 &
                        + 3d0*coupl(nGC_162)**2d0*coupl(nGC_5) + 6d0*coupl(    &
                       nGC_162)*coupl(nGC_164)*coupl(nGC_168) + 36d0*coupl(    &
                       nGC_162)*coupl(nGC_164)*coupl(nGC_29) + 3d0*coupl(      &
                       nGC_164)**2d0*coupl(nGC_19) + 6d0*coupl(nGC_168)*coupl( &
                       nGC_25)*coupl(nGC_3) + 3d0*coupl(nGC_19)*coupl(nGC_3)** &
                       2d0 + 3d0*coupl(nGC_25)**2d0*coupl(nGC_5) + 36d0*coupl( &
                       nGC_25)*coupl(nGC_29)*coupl(nGC_3))/(96d0*pi**2d0)
      coupl(nGC_697) = (6d0*Nc*cima*coupl(nGC_1)**4d0 + 6d0*Nc*cima*coupl(nGC_2&
                       )**4d0 - 10d0*cima*coupl(nGC_164)**4d0 + 3d0*cima*coupl(&
                       nGC_170)**2d0 - 10d0*cima*coupl(nGC_3)**4d0 + 6d0*cima* &
                       coupl(nGC_4)**4d0 + 9d0*coupl(nGC_164)**2d0*coupl(      &
                       nGC_170) + 3d0*coupl(nGC_164)**2d0*coupl(nGC_5) + 9d0*  &
                       coupl(nGC_170)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_3)**2d0&
                       *coupl(nGC_5))/(24d0*pi**2d0)
      coupl(nGC_1139) = -coupl(nGC_20)*dZH_QED2/2d0 - coupl(nGC_20)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_793)
      coupl(nGC_1131) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1130) = coupl(nGC_895) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_1133) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*            &
                        dZWMinus_QED2/2d0 + coupl(nGC_793)
      coupl(nGC_1132) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_765) = coupl(nGC_402)*dZgs_QCD2
      coupl(nGC_766) = coupl(nGC_403)*dZee_QED2
      coupl(nGC_767) = coupl(nGC_405)*dZee_QED2
      coupl(nGC_760) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima&
                       *coupl(nGC_12)*coupl(nGC_188) + 3d0*Nc*coupl(nGC_10)**  &
                       2d0*coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*&
                       coupl(nGC_188)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0* &
                       sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_761) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima&
                       *coupl(nGC_12)*coupl(nGC_188) + 9d0*Nc*coupl(nGC_10)**  &
                       2d0*coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*&
                       coupl(nGC_188)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0* &
                       sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_768) = coupl(nGC_446)*dZee_QED2 + coupl(nGC_447)*dsw_QED2 +    &
                       coupl(nGC_448)*dcw_QED2
      coupl(nGC_769) = coupl(nGC_426)*dZee_QED2 + coupl(nGC_427)*dsw_QED2
      coupl(nGC_834) = coupl(nGC_409)*dys_QED3
      coupl(nGC_835) = coupl(nGC_409)*dys_QED1_QCD2
      coupl(nGC_830) = coupl(nGC_392)*dydo_QED3
      coupl(nGC_831) = coupl(nGC_392)*dydo_QED1_QCD2
      coupl(nGC_832) = coupl(nGC_391)*dys_QED3
      coupl(nGC_833) = coupl(nGC_391)*dys_QED1_QCD2
      coupl(nGC_1005) = coupl(nGC_62)*dZdL_QED2/2d0 + coupl(nGC_62)*dZdR_QED2/ &
                        2d0 + coupl(nGC_830)
      coupl(nGC_1006) = coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(nGC_62)*dZdR_QCD2/ &
                        2d0 + coupl(nGC_831)
      coupl(nGC_1000) = coupl(nGC_59)*dZcL_QCD2/2d0 + coupl(nGC_59)*dZcR_QCD2/ &
                        2d0 + coupl(nGC_873)
      coupl(nGC_1003) = coupl(nGC_41)*dZZ_QED2/2d0 + coupl(nGC_41)*            &
                        dZnu_muL_QED2 + coupl(nGC_814)
      coupl(nGC_1002) = coupl(nGC_84)*dZtauMinusL_QED2/2d0 + coupl(nGC_84)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_854)
      coupl(nGC_726) = (18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)**2d0 -   &
                       30d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_38)*coupl(    &
                       nGC_39) + 18d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_39  &
                       )**2d0 - 16d0*cima*coupl(nGC_162)**2d0*coupl(nGC_25)**  &
                       2d0 - 16d0*cima*coupl(nGC_164)**2d0*coupl(nGC_25)**2d0  &
                        + 6d0*cima*coupl(nGC_172)*coupl(nGC_18) + 18d0*cima*   &
                       coupl(nGC_23)**2d0*coupl(nGC_40)**2d0 - 30d0*cima*coupl(&
                       nGC_23)**2d0*coupl(nGC_40)*coupl(nGC_41) + 18d0*cima*   &
                       coupl(nGC_23)**2d0*coupl(nGC_41)**2d0 + 9d0*coupl(      &
                       nGC_162)**2d0*coupl(nGC_172) + 9d0*coupl(nGC_162)**2d0* &
                       coupl(nGC_18) + 6d0*coupl(nGC_162)*coupl(nGC_19)*coupl( &
                       nGC_25) + 9d0*coupl(nGC_164)**2d0*coupl(nGC_172) + 6d0* &
                       coupl(nGC_164)*coupl(nGC_168)*coupl(nGC_25) + 9d0*coupl(&
                       nGC_18)*coupl(nGC_25)**2d0)/(48d0*pi**2d0)
      coupl(nGC_908) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_909) = coupl(nGC_880) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +    &
                       coupl(nGC_MM)*dZmuMinusR_QED2/2d0
      coupl(nGC_905) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0 &
                        + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_788) +   &
                       coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_907) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_794)
      coupl(nGC_469) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0* &
                       cima*coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*&
                       coupl(nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(  &
                       nGC_66)*coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_184)*   &
                       coupl(nGC_37) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(  &
                       nGC_72) - 8d0*cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84 &
                       ) - 4d0*cMW**2d0*cima*coupl(nGC_180)*coupl(nGC_22) - 4d0&
                       *cMW**2d0*coupl(nGC_17) - cMZ**2d0*cima*coupl(nGC_184)* &
                       coupl(nGC_37) - 2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**  &
                       2d0)
      coupl(nGC_468) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl(&
                       nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(     &
                       nGC_64) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*  &
                       coupl(nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl&
                       (nGC_88) + 2d0*coupl(nGC_180)*coupl(nGC_22) + coupl(    &
                       nGC_184)*coupl(nGC_37) + 4d0*coupl(nGC_66)*coupl(nGC_68 &
                       ) + 4d0*coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*&
                       coupl(nGC_84))/(96d0*pi**2d0)
      coupl(nGC_463) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)**&
                       2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)**&
                       2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)**&
                       2d0 + coupl(nGC_166)*coupl(nGC_20) + coupl(nGC_174)*    &
                       coupl(nGC_21) + coupl(nGC_184)*coupl(nGC_37) + 4d0*coupl&
                       (nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(     &
                       nGC_83)**2d0)/(96d0*pi**2d0)
      coupl(nGC_462) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                       nGC_164)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 -   &
                       2d0*cMW**2d0*coupl(nGC_170))/(16d0*pi**2d0)
      coupl(nGC_461) = cima*(coupl(nGC_164)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi &
                       **2d0)
      coupl(nGC_467) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMC** &
                       2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_23)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_23)**2d0 &
                        + 2d0*Nc*cMT**2d0*cima*coupl(nGC_23)**2d0 + 2d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_23)**2d0 + 2d0*cME**2d0*cima*coupl(&
                       nGC_23)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_23)**2d0 +   &
                       2d0*cMTA**2d0*cima*coupl(nGC_23)**2d0 + 3d0*cMW**2d0*   &
                       cima*coupl(nGC_162)**2d0 + 3d0*cMW**2d0*cima*coupl(     &
                       nGC_164)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 +  &
                       3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 4d0*cMW**2d0*coupl&
                       (nGC_18) + 3d0*cMZ**2d0*cima*coupl(nGC_162)**2d0 + 3d0* &
                       cMZ**2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMZ**2d0*coupl(  &
                       nGC_172))/(32d0*pi**2d0)
      coupl(nGC_464) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 &
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU &
                       **2d0*cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(&
                       nGC_67)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 -   &
                       4d0*cMTA**2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*  &
                       coupl(nGC_166)*coupl(nGC_20) - cMW**2d0*cima*coupl(     &
                       nGC_174)*coupl(nGC_21) - 2d0*cMW**2d0*coupl(nGC_17) -   &
                       cMZ**2d0*cima*coupl(nGC_184)*coupl(nGC_37) - cMZ**2d0*  &
                       coupl(nGC_46) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl&
                       (nGC_52)**2d0)/(16d0*pi**2d0)
      coupl(nGC_484) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                       2d0)/(8d0*pi**2d0)
      coupl(nGC_528) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl( &
                       nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)* &
                       coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*  &
                       coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_529) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*  &
                       coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_480) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_483) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(   &
                       nGC_40)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1127) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_522) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +     &
                       coupl(nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_164)*   &
                       coupl(nGC_23)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23)**2d0&
                        + coupl(nGC_2)*coupl(nGC_57)**2d0)/(32d0*pi**2d0)
      coupl(nGC_523) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) +     &
                       coupl(nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(   &
                       nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_520) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_527) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4 &
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl(&
                       nGC_83)**2d0)/(32d0*pi**2d0)
      coupl(nGC_524) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl( &
                       nGC_2)*coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)* &
                       coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*  &
                       coupl(nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_525) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*  &
                       coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_705) = (20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(   &
                       nGC_56) + 20d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_78)*&
                       coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_53)*coupl(nGC_54 &
                       )*coupl(nGC_77)*coupl(nGC_80) + 20d0*Nc*cima*coupl(     &
                       nGC_53)*coupl(nGC_56)*coupl(nGC_77)*coupl(nGC_78) + 20d0&
                       *Nc*cima*coupl(nGC_54)*coupl(nGC_56)*coupl(nGC_77)**2d0 &
                        + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(nGC_58)*coupl( &
                       nGC_60) + 20d0*Nc*cima*coupl(nGC_57)**2d0*coupl(nGC_74)*&
                       coupl(nGC_76) + 20d0*Nc*cima*coupl(nGC_57)*coupl(nGC_58 &
                       )*coupl(nGC_73)*coupl(nGC_76) + 20d0*Nc*cima*coupl(     &
                       nGC_57)*coupl(nGC_60)*coupl(nGC_73)*coupl(nGC_74) + 20d0&
                       *Nc*cima*coupl(nGC_58)*coupl(nGC_60)*coupl(nGC_73)**2d0 &
                        + 20d0*Nc*cima*coupl(nGC_61)**2d0*coupl(nGC_62)*coupl( &
                       nGC_64) + 20d0*Nc*cima*coupl(nGC_61)**2d0*coupl(nGC_86)*&
                       coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_61)*coupl(nGC_62 &
                       )*coupl(nGC_85)*coupl(nGC_88) + 20d0*Nc*cima*coupl(     &
                       nGC_61)*coupl(nGC_64)*coupl(nGC_85)*coupl(nGC_86) + 20d0&
                       *Nc*cima*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_85)**2d0 &
                        + 20d0*Nc*cima*coupl(nGC_73)**2d0*coupl(nGC_74)*coupl( &
                       nGC_76) + 20d0*Nc*cima*coupl(nGC_77)**2d0*coupl(nGC_78)*&
                       coupl(nGC_80) + 20d0*Nc*cima*coupl(nGC_85)**2d0*coupl(  &
                       nGC_86)*coupl(nGC_88) - 10d0*cima*coupl(nGC_160)**2d0*  &
                       coupl(nGC_180)*coupl(nGC_22) - 5d0*cima*coupl(nGC_166)* &
                       coupl(nGC_176)*coupl(nGC_22)*coupl(nGC_37) - 10d0*cima* &
                       coupl(nGC_166)*coupl(nGC_180)*coupl(nGC_20)*coupl(nGC_22&
                       ) + 12d0*cima*coupl(nGC_17)**2d0 - 10d0*cima*coupl(     &
                       nGC_174)*coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_37) -   &
                       5d0*cima*coupl(nGC_174)*coupl(nGC_22)*coupl(nGC_37)*    &
                       coupl(nGC_40) - 10d0*cima*coupl(nGC_176)**2d0*coupl(    &
                       nGC_180)*coupl(nGC_22) - 5d0*cima*coupl(nGC_176)*coupl( &
                       nGC_180)*coupl(nGC_184)*coupl(nGC_20) - 10d0*cima*coupl(&
                       nGC_180)**2d0*coupl(nGC_22)**2d0 - 5d0*cima*coupl(      &
                       nGC_180)*coupl(nGC_184)*coupl(nGC_21)*coupl(nGC_40) -   &
                       10d0*cima*coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_40)**  &
                       2d0 + 24d0*cima*coupl(nGC_26)*coupl(nGC_28) + 6d0*cima* &
                       coupl(nGC_45)*coupl(nGC_46) + 20d0*cima*coupl(nGC_65)** &
                       2d0*coupl(nGC_66)*coupl(nGC_68) + 20d0*cima*coupl(nGC_69&
                       )**2d0*coupl(nGC_70)*coupl(nGC_72) + 24d0*cima*coupl(   &
                       nGC_7)*coupl(nGC_9) + 20d0*cima*coupl(nGC_81)**2d0*coupl&
                       (nGC_82)*coupl(nGC_84) + 3d0*coupl(nGC_13)*coupl(nGC_160&
                       )**2d0 + 3d0*coupl(nGC_13)*coupl(nGC_174)*coupl(nGC_21  &
                       ) + 3d0*coupl(nGC_13)*coupl(nGC_176)**2d0 + 6d0*coupl(  &
                       nGC_13)*coupl(nGC_180)**2d0 + 3d0*coupl(nGC_13)*coupl(  &
                       nGC_184)*coupl(nGC_37) + 6d0*coupl(nGC_13)*coupl(nGC_22 &
                       )**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_180)*coupl(nGC_22  &
                       ) + 3d0*coupl(nGC_15)*coupl(nGC_180)*coupl(nGC_22) - 6d0&
                       *coupl(nGC_160)*coupl(nGC_180)*coupl(nGC_26) - 6d0*coupl&
                       (nGC_160)*coupl(nGC_22)*coupl(nGC_28) - 3d0*coupl(      &
                       nGC_166)*coupl(nGC_17)*coupl(nGC_20) - 9d0*coupl(nGC_17 &
                       )*coupl(nGC_180)*coupl(nGC_22) - 6d0*coupl(nGC_174)*    &
                       coupl(nGC_37)*coupl(nGC_9) - 6d0*coupl(nGC_176)*coupl(  &
                       nGC_180)*coupl(nGC_7) - 6d0*coupl(nGC_176)*coupl(nGC_22 &
                       )*coupl(nGC_9) - 6d0*coupl(nGC_184)*coupl(nGC_21)*coupl(&
                       nGC_7) - 3d0*coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_45  &
                       ) - 3d0*coupl(nGC_40)**2d0*coupl(nGC_46))/(96d0*pi**2d0)
      coupl(nGC_702) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54)*&
                       coupl(nGC_56) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_34)*&
                       coupl(nGC_62)*coupl(nGC_64) - 12d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) - 12d0*Nc*cima&
                       *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56  &
                       ) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_62&
                       )*coupl(nGC_64) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_38&
                       )*coupl(nGC_74)*coupl(nGC_76) - 12d0*Nc*cima*coupl(nGC_2&
                       )*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_60) - 12d0*Nc*  &
                       cima*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_78)*coupl(    &
                       nGC_80) - 12d0*Nc*cima*coupl(nGC_2)*coupl(nGC_35)*coupl(&
                       nGC_86)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_2)*coupl(&
                       nGC_39)*coupl(nGC_58)*coupl(nGC_60) - 12d0*Nc*cima*coupl&
                       (nGC_2)*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80) - 12d0&
                       *Nc*cima*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_86)*coupl(&
                       nGC_88) + 4d0*cima*coupl(nGC_160)*coupl(nGC_176)*coupl( &
                       nGC_180)*coupl(nGC_22) + 9d0*cima*coupl(nGC_162)*coupl( &
                       nGC_164)*coupl(nGC_180)*coupl(nGC_22) + 12d0*cima*coupl(&
                       nGC_17)*coupl(nGC_29) + 9d0*cima*coupl(nGC_180)*coupl(  &
                       nGC_22)*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(    &
                       nGC_180)*coupl(nGC_22)*coupl(nGC_4)*coupl(nGC_40) - 12d0&
                       *cima*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_66)*coupl(   &
                       nGC_68) - 12d0*cima*coupl(nGC_36)*coupl(nGC_4)*coupl(   &
                       nGC_70)*coupl(nGC_72) - 12d0*cima*coupl(nGC_36)*coupl(  &
                       nGC_4)*coupl(nGC_82)*coupl(nGC_84) - 12d0*cima*coupl(   &
                       nGC_4)*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) - 12d0*&
                       cima*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_70)*coupl(    &
                       nGC_72) - 12d0*cima*coupl(nGC_4)*coupl(nGC_40)*coupl(   &
                       nGC_82)*coupl(nGC_84) + 18d0*coupl(nGC_162)*coupl(      &
                       nGC_164)*coupl(nGC_17) - 6d0*coupl(nGC_162)*coupl(      &
                       nGC_180)*coupl(nGC_28) - 3d0*coupl(nGC_164)*coupl(      &
                       nGC_180)*coupl(nGC_9) - 3d0*coupl(nGC_164)*coupl(nGC_22 &
                       )*coupl(nGC_7) + 18d0*coupl(nGC_17)*coupl(nGC_25)*coupl(&
                       nGC_3) - 6d0*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_29  &
                       ) + 6d0*coupl(nGC_180)*coupl(nGC_22)*coupl(nGC_42) - 6d0&
                       *coupl(nGC_180)*coupl(nGC_25)*coupl(nGC_26) - 3d0*coupl(&
                       nGC_180)*coupl(nGC_3)*coupl(nGC_7) - 3d0*coupl(nGC_22)* &
                       coupl(nGC_3)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_703) = (20d0*Nc*cima*coupl(nGC_53)**4d0 + 20d0*Nc*cima*coupl(  &
                       nGC_57)**4d0 + 20d0*Nc*cima*coupl(nGC_61)**4d0 + 20d0*Nc&
                       *cima*coupl(nGC_73)**4d0 + 20d0*Nc*cima*coupl(nGC_77)** &
                       4d0 + 20d0*Nc*cima*coupl(nGC_85)**4d0 - 5d0*cima*coupl( &
                       nGC_160)**4d0 - 10d0*cima*coupl(nGC_160)**2d0*coupl(    &
                       nGC_176)**2d0 - 10d0*cima*coupl(nGC_160)**2d0*coupl(    &
                       nGC_4)**2d0 - 20d0*cima*coupl(nGC_160)*coupl(nGC_176)*  &
                       coupl(nGC_4)*coupl(nGC_40) - 5d0*cima*coupl(nGC_166)**  &
                       2d0*coupl(nGC_20)**2d0 - 10d0*cima*coupl(nGC_166)*coupl(&
                       nGC_174)*coupl(nGC_20)*coupl(nGC_21) - 10d0*cima*coupl( &
                       nGC_166)*coupl(nGC_180)*coupl(nGC_20)*coupl(nGC_22) -   &
                       10d0*cima*coupl(nGC_166)*coupl(nGC_180)*coupl(nGC_21)*  &
                       coupl(nGC_22) + 24d0*cima*coupl(nGC_17)**2d0 - 5d0*cima*&
                       coupl(nGC_174)**2d0*coupl(nGC_21)**2d0 - 10d0*cima*coupl&
                       (nGC_174)*coupl(nGC_180)*coupl(nGC_20)*coupl(nGC_22) -  &
                       10d0*cima*coupl(nGC_174)*coupl(nGC_180)*coupl(nGC_21)*  &
                       coupl(nGC_22) - 5d0*cima*coupl(nGC_176)**4d0 - 10d0*cima&
                       *coupl(nGC_176)**2d0*coupl(nGC_40)**2d0 - 20d0*cima*    &
                       coupl(nGC_180)**2d0*coupl(nGC_22)**2d0 - 5d0*cima*coupl(&
                       nGC_4)**4d0 - 10d0*cima*coupl(nGC_4)**2d0*coupl(nGC_40  &
                       )**2d0 - 5d0*cima*coupl(nGC_40)**4d0 + 24d0*cima*coupl( &
                       nGC_42)**2d0 + 12d0*cima*coupl(nGC_45)**2d0 + 12d0*cima*&
                       coupl(nGC_6)**2d0 + 20d0*cima*coupl(nGC_65)**4d0 + 20d0*&
                       cima*coupl(nGC_69)**4d0 + 20d0*cima*coupl(nGC_81)**4d0  &
                        + 6d0*coupl(nGC_13)*coupl(nGC_166)*coupl(nGC_20) + 6d0*&
                       coupl(nGC_13)*coupl(nGC_174)*coupl(nGC_21) + 12d0*coupl(&
                       nGC_13)*coupl(nGC_180)*coupl(nGC_22) + 6d0*coupl(nGC_14 &
                       )*coupl(nGC_160)**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_160 &
                       )*coupl(nGC_4) + 6d0*coupl(nGC_14)*coupl(nGC_176)**2d0  &
                        + 6d0*coupl(nGC_14)*coupl(nGC_176)*coupl(nGC_40) + 6d0*&
                       coupl(nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*    &
                       coupl(nGC_40)**2d0 - 6d0*coupl(nGC_160)**2d0*coupl(nGC_6&
                       ) - 12d0*coupl(nGC_160)*coupl(nGC_176)*coupl(nGC_42) -  &
                       6d0*coupl(nGC_166)*coupl(nGC_17)*coupl(nGC_20) - 6d0*   &
                       coupl(nGC_17)*coupl(nGC_174)*coupl(nGC_21) - 12d0*coupl(&
                       nGC_17)*coupl(nGC_180)*coupl(nGC_22) - 6d0*coupl(nGC_176&
                       )**2d0*coupl(nGC_45) - 6d0*coupl(nGC_4)**2d0*coupl(nGC_6&
                       ) - 12d0*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_42) - 6d0*&
                       coupl(nGC_40)**2d0*coupl(nGC_45))/(96d0*pi**2d0)
      coupl(nGC_700) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)**2d0*  &
                       coupl(nGC_39) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)**&
                       2d0*coupl(nGC_38) - 4d0*Nc*cima*coupl(nGC_2)*coupl(     &
                       nGC_23)**2d0*coupl(nGC_39) - 8d0*cima*coupl(nGC_162)**  &
                       2d0*coupl(nGC_25)*coupl(nGC_3) - 8d0*cima*coupl(nGC_164 &
                       )**2d0*coupl(nGC_25)*coupl(nGC_3) + 4d0*cima*coupl(     &
                       nGC_168)*coupl(nGC_19) + 4d0*cima*coupl(nGC_168)*coupl( &
                       nGC_5) - 4d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*coupl(&
                       nGC_40) + 6d0*cima*coupl(nGC_23)**2d0*coupl(nGC_4)*coupl&
                       (nGC_41) + coupl(nGC_162)**2d0*coupl(nGC_168) + coupl(  &
                       nGC_162)*coupl(nGC_164)*coupl(nGC_182) + 6d0*coupl(     &
                       nGC_162)*coupl(nGC_168)*coupl(nGC_25) + coupl(nGC_162)* &
                       coupl(nGC_170)*coupl(nGC_3) + coupl(nGC_162)*coupl(     &
                       nGC_172)*coupl(nGC_3) + 6d0*coupl(nGC_162)*coupl(nGC_19 &
                       )*coupl(nGC_3) + coupl(nGC_162)*coupl(nGC_25)*coupl(    &
                       nGC_29) + coupl(nGC_164)**2d0*coupl(nGC_168) + 6d0*coupl&
                       (nGC_164)*coupl(nGC_168)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_164)*coupl(nGC_25)*coupl(nGC_5) + coupl(nGC_164)*   &
                       coupl(nGC_29)*coupl(nGC_3) + coupl(nGC_18)*coupl(nGC_25 &
                       )*coupl(nGC_3))/(32d0*pi**2d0)
      coupl(nGC_998) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_787) + coupl(nGC_9)*dZZA_QED2/2d0
      coupl(nGC_996) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*        &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_23)*dZtauMinusL_QED2/2d0 &
                        + coupl(nGC_809)
      coupl(nGC_995) = coupl(nGC_782) + coupl(nGC_HHGG)
      coupl(nGC_994) = coupl(nGC_36)*dZZ_QED2/2d0 + coupl(nGC_36)*             &
                       dZmuMinusR_QED2 + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(   &
                       nGC_815)
      coupl(nGC_993) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_40)*dZZ_QED2/2d0 &
                        + coupl(nGC_40)*dZmuMinusL_QED2 + coupl(nGC_798)
      coupl(nGC_992) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 +  &
                       coupl(nGC_794)
      coupl(nGC_991) = coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(nGC_58)*dZcR_QCD2/  &
                       2d0 + coupl(nGC_865)
      coupl(nGC_990) = coupl(nGC_58)*dZcL_QED2/2d0 + coupl(nGC_58)*dZcR_QED2/  &
                       2d0 + coupl(nGC_864)
      coupl(nGC_636) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_637) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_162&
                       )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +   &
                       coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl( &
                       nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_634) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_635) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(    &
                       nGC_59)**2d0)/(32d0*pi**2d0)
      coupl(nGC_632) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1178) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsR_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_630) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_631) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +    &
                       coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl( &
                       nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1175) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_736) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 - &
                       coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75  &
                       )**2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0)/(16d0*&
                       pi**2d0)
      coupl(nGC_735) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(  &
                       nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*  &
                       coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(    &
                       nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/(  &
                       16d0*pi**2d0*Nc)
      coupl(nGC_1176) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZsL_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_1171) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1170) = coupl(nGC_893) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl(  &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_731) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                       nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*    &
                       coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**  &
                       2d0*Nc)
      coupl(nGC_730) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                       nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*    &
                       coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**  &
                       2d0)
      coupl(nGC_1128) = coupl(nGC_879) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +    &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0
      coupl(nGC_1058) = coupl(nGC_53)*dZbR_QED2/2d0 + coupl(nGC_53)*dZtL_QED2/ &
                        2d0 + coupl(nGC_826)
      coupl(nGC_1129) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1211) = -coupl(nGC_505)
      coupl(nGC_643) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +    &
                       coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_69)**2d0)/(32d0*pi**2d0)
      coupl(nGC_642) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                       )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0 &
                        + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_641) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                       )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0 &
                        + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_640) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66 &
                       )*coupl(nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_647) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +    &
                       coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl( &
                       nGC_73)**2d0)/(32d0*pi**2d0)
      coupl(nGC_646) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_162&
                       )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +   &
                       coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl( &
                       nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
      coupl(nGC_645) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                       )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0 &
                        + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
      coupl(nGC_644) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(     &
                       nGC_23)**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70 &
                       )*coupl(nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0&
                       *coupl(nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**  &
                       3d0)/(32d0*pi**2d0)
      coupl(nGC_649) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39&
                       )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(    &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_648) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*    &
                       coupl(nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_633) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23 &
                       )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                       nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(     &
                       nGC_35)*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*    &
                       coupl(nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi** &
                       2d0)
      coupl(nGC_738) = (3d0*Nc*cima*coupl(nGC_34)**4d0 + 3d0*Nc*cima*coupl(    &
                       nGC_35)**4d0 + 3d0*Nc*cima*coupl(nGC_38)**4d0 + 3d0*Nc* &
                       cima*coupl(nGC_39)**4d0 - 10d0*cima*coupl(nGC_162)**4d0 &
                        + 3d0*cima*coupl(nGC_172)**2d0 - 10d0*cima*coupl(nGC_25&
                       )**4d0 + 3d0*cima*coupl(nGC_36)**4d0 + 3d0*cima*coupl(  &
                       nGC_40)**4d0 + 3d0*cima*coupl(nGC_41)**4d0 + 9d0*coupl( &
                       nGC_162)**2d0*coupl(nGC_172) + 3d0*coupl(nGC_162)**2d0* &
                       coupl(nGC_19) + 9d0*coupl(nGC_172)*coupl(nGC_25)**2d0 + &
                       3d0*coupl(nGC_19)*coupl(nGC_25)**2d0)/(24d0*pi**2d0)
      coupl(nGC_737) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +  &
                       coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75  &
                       )**2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0*&
                       pi**2d0*Nc)
      coupl(nGC_1174) = coupl(nGC_881) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0 + &
                        coupl(nGC_MTA)*dZtauMinusR_QED2/2d0
      coupl(nGC_867) = coupl(nGC_434)*dyt_QED1_QCD2
      coupl(nGC_866) = coupl(nGC_434)*dyt_QED3
      coupl(nGC_734) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl( &
                       nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*  &
                       coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(    &
                       nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/(  &
                       16d0*pi**2d0)
      coupl(nGC_948) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_949) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_944) = -coupl(nGC_25)*dZZA_QED2/2d0 - coupl(nGC_3)*dZA_QED2/2d0&
                        - coupl(nGC_766)
      coupl(nGC_947) = coupl(nGC_69)*dZmuMinusR_QED2/2d0 + coupl(nGC_69)*      &
                       dZnu_muL_QED2/2d0 + coupl(nGC_847)
      coupl(nGC_941) = coupl(nGC_34)*dZdR_QCD2
      coupl(nGC_942) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_7)*dZZA_QED2/2d0 + coupl(nGC_792)
      coupl(nGC_943) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_791)
      coupl(nGC_638) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34 &
                       )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +    &
                       coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl( &
                       nGC_61)**2d0)/(32d0*pi**2d0)
      coupl(nGC_639) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4 &
                       )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +    &
                       coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl( &
                       nGC_65)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1162) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_11)*dZuL_QCD2 + &
                        coupl(nGC_808)
      coupl(nGC_1194) = coupl(nGC_877) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_1193) = coupl(nGC_781) + coupl(nGC_HHHH)
      coupl(nGC_1191) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +   &
                        coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_1059) = coupl(nGC_53)*dZbR_QCD2/2d0 + coupl(nGC_53)*dZtL_QCD2/ &
                        2d0 + coupl(nGC_827)
      coupl(nGC_1056) = coupl(nGC_77)*dZbL_QED2/2d0 + coupl(nGC_77)*dZtR_QED2/ &
                        2d0 + coupl(nGC_824)
      coupl(nGC_1057) = coupl(nGC_77)*dZbL_QCD2/2d0 + coupl(nGC_77)*dZtR_QCD2/ &
                        2d0 + coupl(nGC_825)
      coupl(nGC_1054) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2 +   &
                        coupl(nGC_35)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_1052) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2 +   &
                        coupl(nGC_39)*dZZA_QED2/2d0 + coupl(nGC_806)
      coupl(nGC_1050) = coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6)*dZA_QED2 + coupl&
                        (nGC_786)
      coupl(nGC_1051) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/  &
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_768)
      coupl(nGC_626) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)*&
                       coupl(nGC_3) - coupl(nGC_162)*coupl(nGC_39) - coupl(    &
                       nGC_164)*coupl(nGC_2) - coupl(nGC_25)*coupl(nGC_38) +   &
                       coupl(nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
      coupl(nGC_453) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)**&
                       2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)**&
                       2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)**&
                       2d0 + coupl(nGC_160)**2d0 + coupl(nGC_166)*coupl(nGC_20 &
                       ) + coupl(nGC_174)*coupl(nGC_21) + coupl(nGC_176)**2d0  &
                        + 2d0*coupl(nGC_180)*coupl(nGC_22) + coupl(nGC_4)**2d0 &
                        + coupl(nGC_40)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*   &
                       coupl(nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi**&
                       2d0)
      coupl(nGC_898) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_598) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_54) - coupl(nGC_20)*coupl(nGC_23&
                       )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -   &
                       coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54&
                       )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0&
                       )
      coupl(nGC_609) = (coupl(nGC_184)*coupl(nGC_36)*coupl(nGC_72) + coupl(    &
                       nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)*&
                       coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40&
                       )*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_71) - &
                       coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_454) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB**&
                       2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl&
                       (nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 &
                        - 4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD &
                       **2d0*cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*   &
                       coupl(nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73  &
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0* &
                       Nc*cMT**2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                       nGC_85)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_65)**2d0 -   &
                       cMH**2d0*cima*coupl(nGC_166)*coupl(nGC_20) - cMH**2d0*  &
                       cima*coupl(nGC_174)*coupl(nGC_21) - 4d0*cMM**2d0*cima*  &
                       coupl(nGC_69)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)** &
                       2d0 - cMW**2d0*cima*coupl(nGC_160)**2d0 - cMW**2d0*cima*&
                       coupl(nGC_166)*coupl(nGC_20) - cMW**2d0*cima*coupl(     &
                       nGC_174)*coupl(nGC_21) - cMW**2d0*cima*coupl(nGC_176)** &
                       2d0 - 2d0*cMW**2d0*cima*coupl(nGC_180)*coupl(nGC_22) -  &
                       cMW**2d0*cima*coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(  &
                       nGC_40)**2d0 - 8d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*   &
                       cima*coupl(nGC_176)**2d0 - 2d0*cMZ**2d0*cima*coupl(     &
                       nGC_180)*coupl(nGC_22) - cMZ**2d0*cima*coupl(nGC_40)**  &
                       2d0 - 4d0*cMZ**2d0*coupl(nGC_45) + 8d0*cima*coupl(nGC_47&
                       )**2d0 + 8d0*cima*coupl(nGC_51)**2d0)/(64d0*pi**2d0)
      coupl(nGC_455) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(     &
                       nGC_38))/(8d0*pi**2d0)
      coupl(nGC_593) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_592) = (-coupl(nGC_180)*coupl(nGC_23)*coupl(nGC_85) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_87) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_88) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88 &
                       ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(  &
                       nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_591) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_459) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_896) = coupl(nGC_144)*dMW2_QED2
      coupl(nGC_897) = coupl(nGC_148)*dMW2_QED2
      coupl(nGC_595) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc* &
                       cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl(&
                       nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)** &
                       2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl(&
                       nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) - &
                       4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl&
                       (nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**  &
                       2d0*coupl(nGC_83) + 2d0*cima*coupl(nGC_172)*coupl(nGC_52&
                       ) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) + 6d0*coupl(   &
                       nGC_162)**2d0*coupl(nGC_50) - coupl(nGC_162)*coupl(     &
                       nGC_174)*coupl(nGC_47) - coupl(nGC_162)*coupl(nGC_21)*  &
                       coupl(nGC_47) + 6d0*coupl(nGC_164)**2d0*coupl(nGC_50) - &
                       coupl(nGC_164)*coupl(nGC_174)*coupl(nGC_51) - coupl(    &
                       nGC_164)*coupl(nGC_21)*coupl(nGC_51) + 6d0*coupl(nGC_25 &
                       )**2d0*coupl(nGC_52))/(32d0*pi**2d0)
      coupl(nGC_594) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(  &
                       nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*  &
                       cMS*coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0  &
                        + 8d0*Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67 &
                       )**3d0 + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(   &
                       nGC_83)**3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                       2d0*cima*coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_166)*  &
                       coupl(nGC_20)*coupl(nGC_48) - coupl(nGC_166)*coupl(     &
                       nGC_20)*coupl(nGC_50) + coupl(nGC_174)*coupl(nGC_21)*   &
                       coupl(nGC_48) - coupl(nGC_174)*coupl(nGC_21)*coupl(     &
                       nGC_50) + coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_48) -  &
                       coupl(nGC_184)*coupl(nGC_37)*coupl(nGC_52))/(32d0*pi**  &
                       2d0)
      coupl(nGC_575) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_574) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_180)*  &
                       coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_184)*coupl(     &
                       nGC_38)*coupl(nGC_63) - coupl(nGC_34)*coupl(nGC_37)*    &
                       coupl(nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                       nGC_62) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) -   &
                       coupl(nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*  &
                       coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_678) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                       nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)** &
                       2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0  &
                       )/(64d0*pi**2d0*Nc)
      coupl(nGC_679) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                       nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl(&
                       nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_571) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_570) = (-coupl(nGC_180)*coupl(nGC_23)*coupl(nGC_57) - coupl(   &
                       nGC_184)*coupl(nGC_39)*coupl(nGC_59) + 8d0*coupl(nGC_2  &
                       )**2d0*coupl(nGC_60) - coupl(nGC_35)*coupl(nGC_37)*coupl&
                       (nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60 &
                       ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(  &
                       nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60 &
                       )**2d0)/(32d0*pi**2d0)
      coupl(nGC_573) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_572) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_184)*  &
                       coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(nGC_23&
                       )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(&
                       nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63) -   &
                       coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_62&
                       )*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64)**2d0 &
                       )/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
